<?

/*
 *	 W-AGORA
 *	 -------
 *	 File:		delete_notes.php3
 *	 Usage:		Delete note(s) in forum
 *	 date:		September 1999
 *	 version:	3.0.0b5
 *	 Author:	Marc Druilhe <mdruilhe@araxe.fr>
 *
 */

	require ("init_admin.inc");
	require ("$cfg_file");

# messages
# --------
	if (!empty($bn_msgs) && file_exists ("$bn_dir/$bn_msgs") ) {
		include "$bn_dir/$bn_msgs";
	} else {
		include ("$bn_dir_default/msgs.$ext");
	}

# fields definition
# -----------------
	if (!empty($bn_fields) && file_exists ("$bn_dir/$bn_fields") ) {
		include "$bn_dir/$bn_fields";
	} else {
		include ("$bn_dir_default/fields.$ext");
	}

# listing outline
# ---------------
	if (!empty($bn_list_vars) && file_exists ("$bn_dir/$bn_list_vars") ) {
		include "$bn_dir/$bn_list_vars";
	} else {
		include ("$bn_dir_default/list.$ext");
	}

# Note template
# ----------------
	if (!empty($bn_template) && file_exists ("$bn_dir/$bn_template") ) {
		include "$bn_dir/$bn_template";
	} elseif (file_exists ("$bn_dir_default/template.$ext")) {
		include ("$bn_dir_default/template.$ext");
	}

/* (1)  First access to this page => List notes to delete  */
	if (!isset($delmode)):
		DspMsg (40);
?>
<FORM ACTION="<?echo $WA_SELF?>" METHOD="post">
 <INPUT TYPE="hidden" NAME="bn" VALUE="<?echo $bn?>">
 <INPUT TYPE="hidden" NAME="site" VALUE="<?echo $site?>">
<?
//		$bn_maxthreads=0;
		$expnd="all";

		$ret = $db->listThreads ($bn_db, $first, $last);

		if (!is_array ($ret) || ($ret < 0)) {
			echo "<CENTER><strong>"; DspMsg (6); echo "</STRONG></CENTER>";
		}
		elseif ($ret["total"] == 0) {
			echo "<CENTER>"; DspMsg (16); echo "</CENTER>";
		} else {
			$last= $ret["last"];
			$first = $ret["first"];
			$l=addSlashes(stripSlashes($bn_delete_header));
			eval ("echo stripSlashes(\"$l\");");

			$db->getChild (0, "delete");

			$l=addSlashes(stripSlashes($bn_delete_footer));
			eval ("echo stripSlashes(\"$l\");");

			if (!isset($ret["prev"])) $ret["prev"] = 0;
			if (!isset($ret["next"])) $ret["next"] = 0;
	
			if ($ret["prev"] || $ret["next"]) {
				echo "<HR><CENTER><TABLE><TR><TD width='60'>";
				if ($ret["prev"]) {
					$help=msg(65);
					displayURL ("$WA_SELF?bn=$bn&site=$site&last=$first", "", " <img src='$msg[79]' border=0 ALT='$help'>", $help);
				}
				echo "</TD><TD width='60'>";
				if ($ret["next"]) {
					$help=msg(66);
					displayURL ("$WA_SELF?bn=$bn&site=$site&first=$last", "", " <img src='$msg[80]' border=0 ALT='$help'>", $help);
				}
				echo "</TD></TR></TABLE></CENTER>\n";
			}
			$date1 = time() - (24*3600*28);
?>
 <P>
 <INPUT TYPE="radio" NAME="delmode" VALUE="bykey" CHECKED><?DspMsg(18);?>
 <INPUT TYPE="radio" NAME="delmode" VALUE="bydate"><?DspMsg(19);?>
 <INPUT TYPE="text" NAME="j1" VALUE=<?echo (date("d", $date1))?> SIZE=2>/
 <INPUT TYPE="text" NAME="m1" VALUE=<?echo (date("m", $date1))?> SIZE=2>/
 <INPUT TYPE="text" NAME="a1" VALUE=<?echo (date("Y", $date1))?> SIZE=4>
<?DspMsg(20);?> :
 <INPUT TYPE="text" NAME="j2" VALUE=<?echo (date("d"))?> SIZE=2>/
 <INPUT TYPE="text" NAME="m2" VALUE=<?echo (date("m"))?> SIZE=2>/
 <INPUT TYPE="text" NAME="a2" VALUE=<?echo (date("Y"))?> SIZE=4>
 <CENTER>
  <INPUT TYPE='submit' VALUE="<?DspMsg(42);?>" >
  <INPUT TYPE='reset' VALUE="<?DspMsg(23);?>" >


 </CENTER>
</FORM>
<?
		}
		echo "</BODY>\n</HTML>\n";
		exit;
	endif;

// (2) Come from FORM (delmode set) => ask for confirmation
	if ($delmode=="bydate") {
		if ($do_delete):
			if (!empty($bn_before_access)) {
				include "$bn_dir/$bn_before_access";
			}
			$ret = $db->mDeleteDate ($bn_db, $date1, $date2, $password, $bn_dir_notes);
		else:
			$date1 = mktime(0,0,0,$m1,$j1,$a1);
			$date2 = mktime(23,59,59,$m2,$j2,$a2);
			$d1 = date ("$bn_date_format", $date1);
			$d2 = date ("$bn_date_format", $date2);
			DspMsg(21); echo " $d1 "; DspMsg(20); echo " $d2 ";
?>
<FORM ACTION="<?echo $WA_SELF?>" METHOD="post">
 <INPUT TYPE="hidden" NAME="bn" VALUE="<?echo $bn?>">
 <INPUT TYPE="hidden" NAME="site" VALUE="<?echo $site?>">
 <INPUT TYPE="hidden" NAME="do_delete" VALUE="do_delete">
 <INPUT TYPE="hidden" NAME="delmode" VALUE="bydate">
 <INPUT TYPE="hidden" NAME="date1" VALUE="<?echo $date1?>">
 <INPUT TYPE="hidden" NAME="date2" VALUE="<?echo $date2?>">
 <CENTER>
  <INPUT TYPE="submit" VALUE="<?DspMsg(42);?>">
  <INPUT TYPE="button" VALUE="<?DspMsg(36);?>" onClick="history.back()">
 </CENTER>
</FORM>
<?
			exit;
		endif;
	} elseif ($delmode == "bykey") {
		$count = Count ($keys);
		if ($count > 0) {
			if ($do_delete):
				/* Execute before_access program */
				
				if ($bn_before_access):
					$bn_action="delete";
					include "$bn_dir/$bn_before_access";
				endif;
				$ret = $db->mDeleteNotes ($bn_db, $keys, $password, $bn_dir_notes);
			else:
?>
<FORM ACTION="<?echo $WA_SELF?>" METHOD="post">
 <INPUT TYPE="hidden" NAME="bn" VALUE="<?echo $bn?>">
 <INPUT TYPE="hidden" NAME="site" VALUE="<?echo $site?>">
 <INPUT TYPE="hidden" NAME="do_delete" VALUE="do_delete">
 <INPUT TYPE="hidden" NAME="delmode" VALUE="bykey">
<?
				for ($i=0; $i < $count; $i++) {
					echo "<INPUT TYPE='hidden' NAME=keys[$i] VALUE='$keys[$i]'>";
				}
				echo "$count "; DspMsg(24);
?>
 <CENTER>
  <INPUT TYPE="submit" VALUE="Confirm">
  <INPUT TYPE="button" VALUE="Cancel" onClick="history.back()">
 </CENTER>
</FORM>
<?
				exit;
			endif;
		} else {
			MsgForm ("Please, select one or more notes", "$WA_SELF?site=$site", "back");
		}			
	}

/* (3) display message if error else index notes   */
	if ($do_delete):
		if ($ret < 0):
			switch ($ret):
			case (-2):
				MsgForm (Msg (12), "$WA_SELF?site=$site", "back"); /* invalid password */
				break;
			case (-4):
				MsgForm (Msg (10), "$WA_SELF?site=$site", "back"); /* invalid key */
				break;
			default:
				MsgForm (Msg (13), "$WA_SELF?site=$site", ""); /* other error */
				break;
			endswitch;
			exit;
		else:
			/* search indexation */
			if ($bn_search && ($bn_doc_type == "static") && ($bn_search_engine != "none") ) {
				include "$inc_dir/$bn_search_engine.$ext";
				$search->indexNotes();
			}

			MsgForm (Msg (14), "$WA_SELF?site=$site", "");
		endif;
	endif;
?>
</BODY>
</HTML>
