<? # $Workfile: editfields.php3$	$Revision: 1.2 $	$Date: 2000/11/21 18:18:44 $

/*
 *	 W-AGORA
 *	 -------
 *	 File:		editfields.php3
 *	 Usage:		Edit variables to be inserted into database
 *	 date:		August 2000
 *	 version:	3.0.2
 *	 Author:	Marc Druilhe <mdruilhe@w-agora.com>
 *
 */

	require ("init_admin.inc");

	if (!file_exists("$cfg_file")) {
		echo "<HTML><BODY>";
		include "$cfg_dir/$bn.$ext";
		include "$bn_dir/$bn_msgs";
		MsgForm (Msg(10), "./admin.$ext", "", "_top");
		echo "</BODY></HTML>";
		exit;
	}

	require ("$cfg_file");

	if (empty ($bn_fields) ) {
		$var_file = "$bn_dir_default/fields.php3";
		echo "<BR><BR><center><strong> Warning : this file is a default file for this installation </strong></center><br>";
	} else {
		$var_file="$bn_dir/$bn_fields";
	}

	if (isset($save)) {
		if (empty($var_file)) {
			MsgForm ("No current file", "$WA_SELF&site=$site", "back");
			exit;
		}
		Copy ("$var_file", "$var_file.bak");
		$fd = fopen ("$var_file", "w");
		if (!$fd) {
			MsgForm ("cannot open file $var_file, check permissions", "$WA_SELF", "back");
			exit;
		}
		fputs ($fd, "<?\n");
		fputs ($fd,"unset (\$bn_var);\n");
		fputs ($fd,"unset (\$db_var);\n");
		fputs ($fd,"unset (\$bn_var_size);\n");
		fputs ($fd,"unset (\$bn_bind_var);\n");
		fputs ($fd,"unset (\$bn_html_var);\n");
		fputs ($fd,"unset (\$list_var);\n");
		fputs ($fd, "\n# variables managed by w-agora\n");
		$i = 0;  /* bn_var index */
		if (isSet ($bn_var))
			$bn_count = Count ($bn_var);
		else
			$bn_count=0;
		while ($i < $bn_count) {
			$var = $bn_var[$i];
			$sz = $bn_var_size[$var];
			fputs ($fd, "\$bn_var[$i]=\"$var\";\n");
			fputs ($fd, "\$bn_var_size[\"$var\"]=\"$sz\";\n");
			$i++;
		}

		fputs ($fd, "\n# User variables\n");
		$i = 0;  /* db_var index */
		if (isSet ($db_var)) {
			$db_count = Count ($db_var);
			if ($db_count>0) {
				while ($db_var[$db_count-1] == "") {
					$db_count--;
				}
			}
		}
		else
			$db_count=0;
		while ($i < $db_count) {
			$var = $db_var[$i];
			$sz = $bn_var_size[$var];
			fputs ($fd, "\$db_var[$i]=\"$var\";\n");
			fputs ($fd, "\$bn_var_size[\"$var\"]=\"$sz\";\n");
			$i++;
		}
		if (!empty ($new_var)) {
			fputs ($fd, "\$db_var[$i]=\"$new_var\";\n");
			fputs ($fd, "\$bn_var_size[$new_var]=\"$new_size\";\n");
			$bn_var_size[$new_var] = new_size;
			if (isset($new_list_var)) {
				$list_var[$new_var] = 1;
			}
			if (isset($new_bind_var)) {
				$bn_bind_var[$new_var] = 1;
			}
			if (isset($new_html_var)) {
				$bn_html_var[$new_var] = 1;
			}
		}

		fputs ($fd, "\n# Listed variables\n");
		while (list($var,$val) = each($list_var)) {
			if ($val)
				fputs ($fd, "\$list_var[\"$var\"] = 1;\n");
			else
				fputs ($fd, "\$list_var[\"$var\"] = 0;\n");
		}

		fputs ($fd, "\n# Required variables\n");
		while (list($var,$val) = each($bn_bind_var)) {
			if ($val)
				fputs ($fd, "\$bn_bind_var[\"$var\"] = 1;\n");
			else
				fputs ($fd, "\$bn_bind_var[\"$var\"] = 0;\n");
		}

		if (is_array($bn_html_var)) {
			fputs ($fd, "\n# HTML accepted variables\n");
			while (list($var,$val) = each($bn_html_var)) {
				if ($val)
					fputs ($fd, "\$bn_html_var[\"$var\"] = 1;\n");
				else
					fputs ($fd, "\$bn_html_var[\"$var\"] = 0;\n");
			}
		}

		fputs ($fd, "?>\n");
		fclose ($fd);
	}
	elseif (isset($undo)) {
		if (file_exists ("$var_file.bak"))
			Copy ("$var_file.bak", "$var_file");
	}

	if ($var_file):
		if (file_exists ($var_file)) {
			include "$var_file";
			echo "<em>Editing File : $var_file </em>";
		}
		else {
			echo "<em>Editing new file : $var_file </em>";
		}
	else:
?>
<H2>No current file</H2>
<FORM METHOD=POST ACTION="<?echo "$WA_SELF?edit"?>">
 <CENTER>
  Enter file name :<INPUT name="var_file" size = 30>
 </CENTER>
</FORM>
<?
		exit;
	endif;
?>
<FORM METHOD="post" ACTION="<?echo "$WA_SELF" ?>">
 <INPUT NAME="site" TYPE="hidden" VALUE="<?echo $site?>">
 <INPUT NAME="bn" TYPE="hidden" VALUE="<?echo $bn?>">
<?
	$bn_count = Count ($bn_var);
	for ($i = 0; $i < $bn_count; $i++) {
		$var = $bn_var[$i];
		$sz = $bn_var_size[$var];
		echo "<INPUT TYPE='hidden' NAME='bn_var[$i]' VALUE='$var'>\n";
		echo "<INPUT TYPE='hidden' NAME='bn_var_size[$var]' VALUE='$sz'>\n";
	}
?>
 <CENTER>
  <TABLE BORDER>
   <TR><TH>name</TH><TH>size</TH><TH>Required</TH><TH>Listed</TH><TH>Accept HTML</TH></TR>
<?
	for ($i = 0; $i < $bn_count; $i++) {
		$var = $bn_var[$i];
		$sz = $bn_var_size[$var];
		echo "<TR><TD><EM>$var</EM></TD><TD><EM>$sz</EM></TD>";
		echo "<TD><INPUT TYPE='checkbox' NAME='bn_bind_var[$var]' VALUE='1'";
		if (isset($bn_bind_var[$var])) echo " CHECKED";
		echo "></TD><TD><INPUT TYPE='checkbox' NAME='list_var[$var]' VALUE='1'";
		if (isset($list_var[$var])) echo " CHECKED";
		echo "></TD><TD><INPUT TYPE='checkbox' NAME='bn_html_var[$var]' VALUE='1'";
		if (isset($bn_html_var[$var])) echo " CHECKED";
		echo "></TD></TR>\n";
	}
	$db_count = Count ($db_var);
	for ($i=0; $i < $db_count; $i++) {
		$var = $db_var[$i];
		$sz = $bn_var_size[$var];
		echo "<TR><TD><INPUT NAME='db_var[$i]' VALUE='$var'></TD>";
		echo " <TD><INPUT SIZE=5 NAME='bn_var_size[$var]' VALUE='$sz'></TD>";
		echo " <TD><INPUT TYPE='checkbox' NAME='bn_bind_var[$var]' VALUE=1";
		if (isset($bn_bind_var[$var])) echo " CHECKED";
		echo "></TD><TD><INPUT TYPE='checkbox' NAME='list_var[$var]'VALUE=1";
		if (isset($list_var[$var])) echo " CHECKED";
		echo "></TD><TD><INPUT TYPE='checkbox' NAME='bn_html_var[$var]' VALUE='1'";
		if (isset($bn_html_var[$var])) echo " CHECKED";
		echo " ></TD></TR>\n";
	}
?>
   <TR>
    <TD><INPUT NAME="new_var"></TD>
    <TD><INPUT SIZE=5 NAME="new_size"></TD>
    <TD><INPUT TYPE="checkbox" NAME="new_bind_var"></TD>
    <TD><INPUT TYPE="checkbox" NAME="new_list_var"></TD>
    <TD><INPUT TYPE="checkbox" NAME="new_html_var"></TD>
   </TR>
  </TABLE>
  <HR>
  <INPUT TYPE="submit" NAME="save" VALUE="Save">
  <INPUT TYPE="reset" VALUE="Reset table">
  <INPUT TYPE="submit" NAME="undo" VALUE="Undo">
 </CENTER>
</FORM>
