<? # $Workfile: editlist.php3$	$Revision: 1.2 $	$Date: 2000/11/21 18:18:44 $

/*
 *	 W-AGORA
 *	 -------
 *	 File:		editlist.php3
 *	 Usage:		Configure listing of notes
 *	 date:		September 2000
 *	 version:	3.0.2
 *	 Author:	Marc Druilhe <mdruilhe@w-agora.com>
 *
 */

	require ("init_admin.inc");
	require ("$cfg_file");

	if (empty ($bn_list_vars) ) {
		$var_file = "$bn_dir_default/list.php3";
		echo "<BR><BR><center><strong> Warning : this file is a default file for this installation</strong></center><br>";
	} else {
		$var_file="$bn_dir/$bn_list_vars";
	}

	if (isset($save)) {
		if (empty($var_file)) {
			MsgForm ("No current file", "$WA_SELF", "back");
			exit;
		}
		
		$conf = new Config;
		$ret = $conf->open($var_file) or die("Cannot open file: $var_file");
		$conf->writeInt ("bn_maxthreads", $bn_maxthreads, "Maximum number of threads per page");
		$conf->writeString ("bn_pad", $bn_pad, "padding sequence");
		
		$conf->writeString ("bn_list_header", $bn_list_header);
		$conf->writeString ("bn_list_odd_first_line", $bn_list_odd_first_line);
		$conf->writeString ("bn_list_even_first_line", $bn_list_even_first_line);
		$conf->writeString ("bn_list_begin_level", $bn_list_begin_level);
		$conf->writeString ("bn_list_odd_line", $bn_list_odd_line);
		$conf->writeString ("bn_list_even_line", $bn_list_even_line);
		$conf->writeString ("bn_list_end_level", $bn_list_end_level);
		$conf->writeString ("bn_list_end_thread", $bn_list_end_thread);
		$conf->writeString ("bn_list_footer", $bn_list_footer);
		
		$conf->writeString ("bn_view_header", $bn_view_header);
		$conf->writeString ("bn_view_odd_first_line", $bn_view_odd_first_line);
		$conf->writeString ("bn_view_even_first_line", $bn_view_even_first_line);
		$conf->writeString ("bn_view_begin_level", $bn_view_begin_level);
		$conf->writeString ("bn_view_odd_line", $bn_view_odd_line);
		$conf->writeString ("bn_view_even_line", $bn_view_even_line);
		$conf->writeString ("bn_view_end_level", $bn_view_end_level);
		$conf->writeString ("bn_view_end_thread", $bn_view_end_thread);
		$conf->writeString ("bn_view_footer", $bn_view_footer);
		
		$conf->writeString ("bn_search_header", $bn_search_header);
		$conf->writeString ("bn_search_odd_first_line", $bn_search_odd_first_line);
		$conf->writeString ("bn_search_even_first_line", $bn_search_even_first_line);
		$conf->writeString ("bn_search_begin_level", $bn_search_begin_level);
		$conf->writeString ("bn_search_odd_line", $bn_search_odd_line);
		$conf->writeString ("bn_search_even_line", $bn_search_even_line);
		$conf->writeString ("bn_search_end_level", $bn_search_end_level);
		$conf->writeString ("bn_search_end_thread", $bn_search_end_thread);
		$conf->writeString ("bn_search_footer", $bn_search_footer);
		
		$conf->writeString ("bn_delete_header", $bn_delete_header);
		$conf->writeString ("bn_delete_odd_first_line", $bn_delete_odd_first_line);
		$conf->writeString ("bn_delete_even_first_line", $bn_delete_even_first_line);
		$conf->writeString ("bn_delete_begin_level", $bn_delete_begin_level);
		$conf->writeString ("bn_delete_odd_line", $bn_delete_odd_line);
		$conf->writeString ("bn_delete_even_line", $bn_delete_even_line);
		$conf->writeString ("bn_delete_end_level", $bn_delete_end_level);
		$conf->writeString ("bn_delete_end_thread", $bn_delete_end_thread);
		$conf->writeString ("bn_delete_footer", $bn_delete_footer);

		$conf->close();
	}
	elseif (isset($undo)) {
		if (file_exists ("$var_file.bak"))
			Copy ("$var_file.bak", "$var_file");
	}

	if (!$var_file) {
?>
<H2>No current file</H2>
<FORM METHOD="POST" ACTION="<?echo "$WA_SELF"?>">
 <INPUT NAME="site" TYPE="hidden" VALUE="<?echo $site?>">
 <INPUT NAME="bn" TYPE="hidden" VALUE="<?echo $bn?>">
 <CENTER>
  Enter file name :<INPUT name="var_file" size = 30>
 </CENTER>
</FORM>
<?
		exit;
	}

	if (file_exists ($var_file)) {
		include "$var_file";
		echo "<em>Editing File : $var_file </em>";
	}
	else {
		echo "<em>Editing new file : $var_file </em>";
	}
?>
<FORM METHOD="post" ACTION="<?echo "$WA_SELF";?>">
 <INPUT NAME="site" TYPE="hidden" VALUE="<?echo $site?>">
 <INPUT NAME="bn" TYPE="hidden" VALUE="<?echo $bn?>">
 <CENTER>
  <HR>
<?
	$pad = HtmlSpecialChars (StripSlashes($bn_pad));

	$lh=HtmlSpecialChars(StripSlashes($bn_list_header));
	$lfl1 = HtmlSpecialChars (StripSlashes($bn_list_odd_first_line));
	$lfl2 = HtmlSpecialChars (StripSlashes($bn_list_even_first_line));
	$lbl = HtmlSpecialChars (StripSlashes($bn_list_begin_level));
	$ll1 = HtmlSpecialChars (StripSlashes($bn_list_odd_line));
	$ll2 = HtmlSpecialChars (StripSlashes($bn_list_even_line));
	$lel = HtmlSpecialChars (StripSlashes($bn_list_end_level));
	$let = HtmlSpecialChars (StripSlashes($bn_list_end_thread));
	$lf = HtmlSpecialChars (StripSlashes($bn_list_footer));
	
	$vh=HtmlSpecialChars(StripSlashes($bn_view_header));
	$vfl1 = HtmlSpecialChars (StripSlashes($bn_view_odd_first_line));
	$vfl2 = HtmlSpecialChars (StripSlashes($bn_view_even_first_line));
	$vbl = HtmlSpecialChars (StripSlashes($bn_view_begin_level));
	$vl1 = HtmlSpecialChars (StripSlashes($bn_view_odd_line));
	$vl2 = HtmlSpecialChars (StripSlashes($bn_view_even_line));
	$vel = HtmlSpecialChars (StripSlashes($bn_view_end_level));
	$vet = HtmlSpecialChars (StripSlashes($bn_view_end_thread));
	$vf = HtmlSpecialChars (StripSlashes($bn_view_footer));
	
	$sh=HtmlSpecialChars(StripSlashes($bn_search_header));
	$sfl1 = HtmlSpecialChars (StripSlashes($bn_search_odd_first_line));
	$sfl2 = HtmlSpecialChars (StripSlashes($bn_search_even_first_line));
	$sbl = HtmlSpecialChars (StripSlashes($bn_search_begin_level));
	$sl1 = HtmlSpecialChars (StripSlashes($bn_search_odd_line));
	$sl2 = HtmlSpecialChars (StripSlashes($bn_search_even_line));
	$sel = HtmlSpecialChars (StripSlashes($bn_search_end_level));
	$set = HtmlSpecialChars (StripSlashes($bn_search_end_thread));
	$sf = HtmlSpecialChars (StripSlashes($bn_search_footer));
	
	$dh = HtmlSpecialChars (StripSlashes($bn_delete_header));
	$dfl1 = HtmlSpecialChars (StripSlashes($bn_delete_odd_first_line));
	$dfl2 = HtmlSpecialChars (StripSlashes($bn_delete_even_first_line));
	$dbl = HtmlSpecialChars (StripSlashes($bn_delete_begin_level));
	$dl1 = HtmlSpecialChars (StripSlashes($bn_delete_odd_line));
	$dl2 = HtmlSpecialChars (StripSlashes($bn_delete_even_line));
	$del = HtmlSpecialChars (StripSlashes($bn_delete_end_level));
	$det = HtmlSpecialChars (StripSlashes($bn_delete_end_thread));
	$df = HtmlSpecialChars (StripSlashes($bn_delete_footer));
?>
  <TABLE with="100%">
   <TR><TH COLSPAN=2> Global listing formats: </TH>
   <TR><TD ALIGN=RIGHT><b>Max # of threads per page</b><TD><INPUT NAME="bn_maxthreads" SIZE=4 VALUE="<?echo $bn_maxthreads?>"></TR>
   <TR><TD ALIGN=RIGHT><b>Padding pattern: </b><TD><INPUT SIZE=50 NAME="bn_pad" VALUE="<?echo $pad?>"></TR>
  </TABLE>
  <HR>
  <TABLE with="100%">
   <TR><TH COLSPAN=2> Edit listing (thread) format in LIST mode: </TH>
   <TR><TD ALIGN=RIGHT><b>Head of listing : </b><TD><TEXTAREA NAME="bn_list_header" ROWS=2 COLS=50 WRAP=LOGICAL><?echo $lh?></TEXTAREA></TR>
   <TR><TD ALIGN=RIGHT><b>First line in THREAD (odd) : </b><TD><TEXTAREA NAME="bn_list_odd_first_line" ROWS=3 COLS=50 WRAP="LOGICAL"><?echo $lfl1?></TEXTAREA></TR>
   <TR><TD ALIGN=RIGHT><b>First line in THREAD (even) : </b><TD><TEXTAREA NAME="bn_list_even_first_line" ROWS=3 COLS=50 WRAP="LOGICAL"><?echo $lfl2?></TEXTAREA></TR>
   <TR><TD ALIGN=RIGHT><b>starts new LEVEL with : </b><TD><INPUT SIZE=50 NAME="bn_list_begin_level" VALUE="<?echo $lbl?>"></TR>
   <TR><TD ALIGN=RIGHT><b>Odd Line contents: </b><TD><TEXTAREA NAME="bn_list_odd_line" ROWS=3 COLS=50 WRAP=LOGICAL><?echo $ll1?></TEXTAREA></TR>
   <TR><TD ALIGN=RIGHT><b>Even Line contents: </b><TD><TEXTAREA NAME="bn_list_even_line" ROWS=3 COLS=50 WRAP=LOGICAL><?echo $ll2?></TEXTAREA></TR>
   <TR><TD ALIGN=RIGHT><b>ends level with: </b><TD><INPUT SIZE=50 NAME="bn_list_end_level" VALUE="<?echo $lel?>"></TR>
   <TR><TD ALIGN=RIGHT><b>ends thread with: </b><TD><INPUT SIZE=50 NAME="bn_list_end_thread" VALUE="<?echo $let?>"></TR>
   <TR><TD ALIGN=RIGHT><b>End of list : </b><TD><INPUT NAME="bn_list_footer" SIZE=50 VALUE="<?echo $lf?>"></TR>
  </TABLE>
  <HR>
  <TABLE with="100%">
   <TR><TH COLSPAN=2> Edit listing (thread) format in VIEW mode: </TH>
   <TR><TD ALIGN=RIGHT><b>Head of list : </b><TD><TEXTAREA NAME="bn_view_header" ROWS=2 COLS=50 WRAP=LOGICAL><?echo $vh?></TEXTAREA></TR>
   <TR><TD ALIGN=RIGHT><b>First line in THREAD (odd) : </b><TD><TEXTAREA NAME="bn_view_odd_first_line" ROWS=3 COLS=50 WRAP=LOGICAL><?echo $vfl1?></TEXTAREA></TR>
   <TR><TD ALIGN=RIGHT><b>First line in THREAD (even) : </b><TD><TEXTAREA NAME="bn_view_even_first_line" ROWS=3 COLS=50 WRAP=LOGICAL><?echo $vfl2?></TEXTAREA></TR>
   <TR><TD ALIGN=RIGHT><b>starts new LEVEL with : </b><TD><INPUT SIZE=50 NAME="bn_view_begin_level" VALUE="<?echo $vbl?>"></TR>
   <TR><TD ALIGN=RIGHT><b>Odd Line contents: </b><TD><TEXTAREA NAME="bn_view_odd_line" ROWS=3 COLS=50 WRAP=LOGICAL><?echo $vl1?></TEXTAREA></TR>
   <TR><TD ALIGN=RIGHT><b>Even Line contents: </b><TD><TEXTAREA NAME="bn_view_even_line" ROWS=3 COLS=50 WRAP=LOGICAL><?echo $vl2?></TEXTAREA></TR>
   <TR><TD ALIGN=RIGHT><b>ends level with: </b><TD><INPUT SIZE=50 NAME="bn_view_end_level" VALUE="<?echo $vel?>"></TR>
   <TR><TD ALIGN=RIGHT><b>ends thread with: </b><TD><INPUT SIZE=50 NAME="bn_view_end_thread" VALUE="<?echo $vet?>"></TR>
   <TR><TD ALIGN=RIGHT><b>End of list : </b><TD><INPUT NAME="bn_view_footer" SIZE=50 VALUE="<?echo $vf?>"></TR>
  </TABLE>
  <HR>
  <TABLE with="100%">
   <TR><TH COLSPAN=2> Edit listing (thread) format in SEARCH mode: </TH>
   <TR><TD ALIGN=RIGHT><b>Head of list : </b><TD><TEXTAREA NAME="bn_search_header" ROWS=2 COLS=50 WRAP=LOGICAL><?echo $sh?></TEXTAREA></TR>
   <TR><TD ALIGN=RIGHT><b>First line in THREAD (odd) : </b><TD><TEXTAREA NAME="bn_search_odd_first_line" ROWS=3 COLS=50 WRAP=LOGICAL><?echo $sfl1?></TEXTAREA></TR>
   <TR><TD ALIGN=RIGHT><b>First line in THREAD (even) : </b><TD><TEXTAREA NAME="bn_search_even_first_line" ROWS=3 COLS=50 WRAP=LOGICAL><?echo $sfl2?></TEXTAREA></TR>
   <TR><TD ALIGN=RIGHT><b>starts new LEVEL with : </b><TD><INPUT SIZE=50 NAME="bn_search_begin_level" VALUE="<?echo $sbl?>"></TR>
   <TR><TD ALIGN=RIGHT><b>Odd Line contents: </b><TD><TEXTAREA NAME="bn_search_odd_line" ROWS=3 COLS=50 WRAP=LOGICAL><?echo $sl1?></TEXTAREA></TR>
   <TR><TD ALIGN=RIGHT><b>Even Line contents: </b><TD><TEXTAREA NAME="bn_search_even_line" ROWS=3 COLS=50 WRAP=LOGICAL><?echo $sl2?></TEXTAREA></TR>
   <TR><TD ALIGN=RIGHT><b>ends level with: </b><TD><INPUT SIZE=50 NAME="bn_search_end_level" VALUE="<?echo $sel?>"></TR>
   <TR><TD ALIGN=RIGHT><b>ends thread level with: </b><TD><INPUT SIZE=50 NAME="bn_search_end_thread" VALUE="<?echo $set?>"></TR>
   <TR><TD ALIGN=RIGHT><b>End of list : </b><TD><INPUT NAME="bn_search_footer" SIZE=50 VALUE="<?echo $sf?>"></TR>
  </TABLE>
  <HR>
  <TABLE width="100%">
   <TR><TH COLSPAN=2> Edit listing (thread) format in <B>DELETE</B> mode: </TH>
   <TR><TD ALIGN=RIGHT><b>Head of listing: </b><TD><TEXTAREA NAME="bn_delete_header" ROWS=2 COLS=50 WRAP=LOGICAL><?echo $dh?></TEXTAREA></TR>
   <TR><TD ALIGN=RIGHT><b>First line in THREAD (odd) : </b><TD><TEXTAREA NAME="bn_delete_odd_first_line" ROWS=2 COLS=50 WRAP=LOGICAL><?echo $dfl1?></TEXTAREA></TR>
   <TR><TD ALIGN=RIGHT><b>First line in THREAD (even) : </b><TD><TEXTAREA NAME="bn_delete_even_first_line" ROWS=2 COLS=50 WRAP=LOGICAL><?echo $dfl2?></TEXTAREA></TR>
   <TR><TD ALIGN=RIGHT><b>starts new LEVEL with: </b><TD><INPUT SIZE=50 NAME="bn_delete_begin_level" VALUE="<?echo $dbl?>"></TR>
   <TR><TD ALIGN=RIGHT><b>Odd line contents: </b><TD><TEXTAREA NAME="bn_delete_odd_line" ROWS=2 COLS=50 WRAP=LOGICAL><?echo $dl1?></TEXTAREA></TR>
   <TR><TD ALIGN=RIGHT><b>Even line contents: </b><TD><TEXTAREA NAME="bn_delete_even_line" ROWS=2 COLS=50 WRAP=LOGICAL><?echo $dl2?></TEXTAREA></TR>
   <TR><TD ALIGN=RIGHT><b>end level with : </b><TD><INPUT SIZE=50 NAME="bn_delete_end_level" VALUE="<?echo $del?>"></TR>
   <TR><TD ALIGN=RIGHT><b>end thread with: </b><TD><INPUT SIZE=50 NAME="bn_delete_end_thread" VALUE="<?echo $det?>"></TR>
   <TR><TD ALIGN=RIGHT><b>Bottom of listing: </b><TD><INPUT NAME="bn_delete_footer" SIZE=50 VALUE="<?echo $df?>"></TR>
  </TABLE>
  <HR>
  <INPUT TYPE="submit" NAME="save" VALUE="Save">
  <INPUT TYPE="reset" VALUE="Reset form">
  <INPUT TYPE="submit" NAME="undo" VALUE="Undo">
 </CENTER>
</FORM>
