<? # $Workfile: msql2.php3$	$Revision: 1.2 $	$Date: 2000/11/21 18:18:50 $

/*
 *   W-AGORA
 *   -------
 *   File:		msql2.php3
 *   Usage:		include file - Database access functions (mSQL v2.x)
 *   date:		August 1999
 *   version:	3.0.0b5
 *   Author:	Marc Druilhe <mdruilhe@araxe.fr>
 */

require ("$inc_dir/msql.$ext");

class msql2_access extends msql_access {

function createForum ($table, $password) {
	global $bn_var, $db_var;
	global $bn_var_size;

	/* Check if table exists */
	$result = @msql_List_Tables ("$this->dbname");
	if (!$result) {
		echo "mSQL error: ".msql_error()."<BR>";
		return (-3);
	}
	$count = msql_NumRows ($result);
	$i=0; $found=0;
	while ($i < $count):
		if ($table == msql_TableName ($result, $i)):
			$found=1; $i=$count;
		else:
			$i++;
		endif;
	endwhile;
	if ($found):
		return (-1); /*  table already exist */
	endif;

	/* Create Table */
	$desc = "cle INT NOT NULL";
	$desc .= ", parent INT";
	$desc .= ", childs INT";
	$desc .= ", thread INT";
	$desc .= ", newest INT";
	$values = "0, 0, 0, 0, 0";
	$unixdate = time();
	$count = Count ($bn_var);
	$i=0;
	while ($i < $count):
		$col = $bn_var[$i];
		$val = $$col;
		$sz = $bn_var_size[$col];
		if ($sz == "INT") {
			$desc .= ", $col INT";
			$values .= ", " . IntVal($val);
		}
		elseif ($sz == "BLOB") {
			$desc .= ", $col CHAR(10000)";
			$values .= ", '$val'";
		}
		else {
			$desc .= ", $col CHAR($sz)";
			$values .= ", '$val'";
		}
		$i++;
	endwhile;
	$count = Count ($db_var);
	$i=0;
	while ($i < $count):
		$col = $db_var[$i];
		$val = $$col;
		$sz = $bn_var_size[$col];
		if ($sz == "INT") {
			$desc .= ", $col INT";
			$values .= ", " . IntVal($val);
		}
		elseif ($sz == "BLOB") {
			$desc .= ", $col CHAR(10000)";
			$values .= ", '$val'";
		}
		else {
			$desc .= ", $col CHAR($sz)";
			$values .= ", '$val'";
		}
		$i++;
	endwhile;
	$result = msql_query ("CREATE TABLE $table ($desc)", $this->dblink);
	if (!$result) {  /* access PB  */
		echo "mSQL error: ".msql_error()."<BR>";
		return (-3);
	}

	$result = msql_query ("CREATE UNIQUE INDEX idxcle ON $table (cle)", $this->dblink);
	if (!$result) {  /* access PB  */
		echo "mSQL error: ".msql_error()."<BR>";
		return (-3);
	}

	$result = msql_query("INSERT INTO $table VALUES($values)", $this->dblink);
	if (!$result) {  /* access PB  */
		echo "mSQL error: ".msql_error()."<BR>";
		return (-3);
	}
	return (0);
}

function search ($forum, $pattern, $casesensitive) {

	// Get fields defined in table
	$result = msql_List_fields("$this->dbname", $forum);
	if (!$result) { /* access problem */
		echo "mSQL error: ".msql_error()."<BR>";
		return (-3); 
	}

	$pattern = ereg_replace ("\*", "%", $pattern);
	$pattern = "'%$pattern%'";
	if ($casesensitive) {
		$searcher = "LIKE";
	}
	else {
		$searcher = "CLIKE";
	}
	
	$where .= "body $searcher $pattern";
	// gets fields name and type
	while ($db_field = msql_fetch_field($result)) {
		$colname = $db_field->name;
		$coltype = $db_field->type;
		if ( ($colname != "body") && ($coltype != "int") && ($coltype != "text") && ($coltype != "unknown") ) {
			 
			$where .= " OR $colname $searcher $pattern";
		}
	}
	$result = msql_query ( "SELECT * FROM $forum WHERE $where", $this->dblink);
	if (!$result) {
		echo "mSQL error: ".msql_error()."<BR>";
		return (-3); 
	}

	$num = msql_numrows($result);

	if ($num < 1 ) {
		return 0;
	}

	reset ($this->entries);
	reset ($this->children);
	while ($row = msql_fetch_array($result)) {
		$key = $row["cle"];
		$row["parent"]=0;
		$this->entries[$key] = $row;
		$this->children[0][] = $key;
	}

	return $num;
}

}; // end class

?>
