<?php

/* 
 *	W-AGORA 3.0
 *	-----------
 *	$Id: list.php3,v 1.3 2001/01/15 12:28:54 mdruilhe Exp $
 *	Usage:		display listing of notes
 *	Author:		Marc Druilhe <mdruilhe@w-agora.com>
 */	

	$bn_action="list";
	$bn_action_mode="L";
	
	require ("./init.inc");
	
	$header_footer = ($bn_frames==0) ? true : false;

	/* Execute before_access program */
	if ($bn_before_access) {
		include "$bn_dir/$bn_before_access";
	}
	
	display_header ("List", $header_footer);

	DspMsg (11);

	$first=(isset($first)) ? $first : 0;
	$last=(isset($last)) ? $last : 0;
	$sort=(isset($sort)) ? stripSlashes($sort) : "";
	$where=(isset($where)) ? stripSlashes($where) : "";
	
	if ($bn_cookies && isSet($cookies->s_cookies["LastVisit"]) && ($expnd=="new") ) {
		$where = "unixdate > " . $cookies->s_cookies["LastVisit"];
	}

	if ( ($last>0) && ($first>0) ) {
		$bn_maxthreads=0;
	}

	if (!empty ($sort) || !empty($where) )
		$ret = $db->listNotes ($bn_db, $first, $last, $sort, $where);
	else
		$ret = $db->listThreads ($bn_db, $first, $last);

	if (!is_array ($ret) || ($ret < 0)) {
		echo "<CENTER><strong>"; DspMsg (6); echo "</STRONG></CENTER>";
	}
	elseif ($ret["total"] == 0) {
		$total = $ret["total"];
		echo "<CENTER>"; DspMsg (16); echo "</CENTER>";
	} else {
		$last= $ret["last"];
		$first = $ret["first"];
		$l=addSlashes(stripSlashes($bn_list_header));
		eval ("echo stripSlashes(\"$l\");");

		$db->getChild (0, "list");

		$l=addSlashes(stripSlashes($bn_list_footer));
		eval ("echo stripSlashes(\"$l\");");

		if (!isset($ret["prev"])) $ret["prev"] = 0;
		if (!isset($ret["next"])) $ret["next"] = 0;
	
		if ($ret["prev"] || $ret["next"]) {
			echo "<HR><CENTER><TABLE><TR><TD width='60'>";
			if ($ret["prev"]) {
				$help=msg(65);
				displayURL ("$WA_SELF?bn=$bn&expnd=$expnd&last=$first&sort=$sort&where=$where", "", " <img src='$msg[79]' border=0 ALT='$help'>", $help);
			}
			echo "</TD><TD width='60'>";
			if ($ret["next"]) {
				$help=msg(66);
				displayURL ("$WA_SELF?bn=$bn&expnd=$expnd&first=$last&sort=$sort&where=$where", "", " <img src='$msg[80]' border=0 ALT='$help'>", $help);
			}
			echo "</TD></TR></TABLE></CENTER>\n";
		}
	}

# Display form if option set
# ----------------------------
	if ($bn_list_post) {
		$setUserField = true;		// Set username and password in form fields
		$mail_reply = 1; // set default to checked in the form
		$form_action = "./insert.$ext";
		$bn_action="post";
		$back_form="list";
		$bn_popup=0;

# Execute before_access program
# -----------------------------
		if ($bn_before_access) {
			include "$bn_dir/$bn_before_access";
		}

		include "$inc_dir/form.$ext";
	}

	display_footer ($header_footer);
?>
