<?

/*
 *	 W-AGORA 3.0
 *	 -----------
 *	 $Id: delete_forum.php3,v 1.3 2000/12/05 09:40:54 mdruilhe Exp $
 *	 Usage:		Remove a forum
 *	 Author:	Marc Druilhe <mdruilhe@araxe.fr>
 *
 */

	require ("init_admin.inc");

	require ("$site_cfg_file");
	require ("$bn_dir/$bn_fields");
	require ("$bn_dir/$bn_msgs");
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
 <TITLE>w-Agora Administration - removing forum </TITLE>
</HEAD>
<?
	echo "<BODY $bn_body>";

/* 1) $key is not defined: List forums to delete  */
	if (!isSet($key)) {
		$expnd = "all";
		echo "<h2 align='center'><em>";
		DspMsg (40);
		echo "</em></h2>";
		$nb = $db->listNotes ($site_db, "delete");
		echo "</body></html>";
		exit;
	}

/* 2) do_delete => remove forum */
	if ($do_delete):
		if (file_exists ("$cfg_file") ) {
			// include config. file for this forum
			include ("$cfg_file");
			
			$forum_table=$bn_db;
		} elseif ($rmnotes||$rmbase||$rmconf) {
			// config file must be present to remove table/config file or notes
			MsgForm ("Unable to read configuration file : $cfg_file", "$WA_SELF?site=$site","exit");
			exit;
		} else {
			// Config file destroyed/ Only Delete entry in forum's table
			$force_remove = 1;
		}

		if (isset($rmnotes)&& !isset($rmbase)) {
			$ret = $db->mDeleteDate ($forum_table, 2, $now, $forum_passwd, $bn_dir_notes);
			if (($ret < 0) && ($ret != -4)) {
				MsgForm (Msg (13), "$WA_SELF?site=$site&key=$key", "back"); /* unable to suppress */
				echo "</body></html>";
				exit;
			}
		}

		if (isset($rmbase)) {
			$ret = $db->DeleteForum ($forum_table, $forum_passwd);
			if ($ret < 0) {
				MsgForm (Msg (13), "$WA_SELF?site=$site&key=$key", "back"); /* unable to suppress */
				echo "</body></html>";
				exit;
			}
		}

		if (isset($rmconf)) {
			if (!empty($bn_dir_notes) && is_dir($bn_dir_notes)) {
				$dir = dir($bn_dir_notes);
				if (!$dir)
					break;
				while ($entry=$dir->read() ) {
					if ( ($entry != ".") && ($entry != "..") ) {
						if (is_dir($entry)) {
							// remove all files in subdirectory
							$subdir = dir("$bn_dir_notes/entry");
							if ($subdir) {
								while ($subentry=$subdir->read() ) {
									if (is_file ($subentry)) {
										echo "removing file: <b>$bn_dir_notes/$entry/$subentry</b><br>";
										unlink ("$bn_dir_notes/$entry/$subentry");
									}
								}
								$subdir->close();
								echo "removing directory: <b>$bn_dir_notes/entry</b><br>";
								rmdir ("$bn_dir_notes/entry");
							}
						} else {
							echo "removing file: <b>$bn_dir_notes/$entry</b><br>";
							unlink ("$bn_dir_notes/$entry");
						}
					}
				}
				$dir->close();
				echo "removing directory: <b>$bn_dir_notes</b><br>";
				rmdir ("$bn_dir_notes");
			}
			if (!empty($bn_dir) && is_dir($bn_dir)) {
				$dir = dir($bn_dir);
				if (!$dir)
					break;
				while ($entry=$dir->read() ) {
					if ( ($entry != ".") && ($entry != "..") ) {
						echo "removing file: <b>$bn_dir/$entry</b><br>";
						unlink ("$bn_dir/$entry");
					}
				}
				$dir->close();
				echo "removing directory: <b>$bn_dir</b><br>";
				rmdir ("$bn_dir");
			}
			echo "removing file: <b>$cfg_file</b><br>";
			unlink ("$cfg_file");
			@unlink ("$cfg_file.bak.$ext");
		}

		$ret=0;
		if ($rmbase || $rmconf || $force_remove) {
			$ret = $db->DeleteNote ($site_db, $key, $site_passwd, $bn_dir_notes);
		}
		
		if ($ret < 0) {
			switch ($ret):
			case (-2):
				MsgForm (Msg (12), "$WA_SELF?site=$site&key=$key", "back"); /* invalid password */
				break;
			case (-4):
				MsgForm (Msg (10), "$WA_SELF?site=$site&key=$key", "back"); /* does not exists */
				break;
			default:
				MsgForm (Msg (13), "$WA_SELF?site=$site&key=$key", "back"); /* unable to suppress */
				break;
			endswitch;
		} else {
			MsgForm (Msg (14), "./admin.$ext?site=$site", "", "_top");
		}
		exit;
	endif;

/* 3) $key defined but do_delete not defined: display form */

	$note = $db->getNote ($site_db, $key);

	if ($note == -4) {
		MsgForm (Msg(10), "$WA_SELF", "");
		exit;
	}

	while ( list( $var, $val ) = each( $note)) {
		if (is_string ($var)) $$var = $val;
	}

?>
<FORM ACTION="<?echo "$WA_SELF";?>" METHOD="POST">
 <INPUT TYPE="hidden" NAME="site" VALUE="<?echo $site?>">
 <INPUT TYPE="hidden" NAME="bn" VALUE="<?echo $bn?>">
 <INPUT TYPE="hidden" NAME="key" VALUE="<?echo $key?>">
 <INPUT TYPE="hidden" NAME="do_delete" VALUE="do_delete">
 <CENTER><?DspMsg (49);?></CENTER>
 <CENTER>
 <TABLE BORDER="1">
  <TR><TD><FONT COLOR="#800080"><B>Forum name</FONT></TD><TD><B><?echo "$bn_name"?></B></TD></TR>
  <TR><TD><FONT COLOR="#800080"><B>Description</FONT></TD><TD><B><?echo "$descr"?></B></TD></TR>
  <TR><TD><FONT COLOR="#800080"><B>Owner</FONT></TD><TD><B><?echo "$owner &lt;$owner_address&gt;"?></B></TD></TR>
 </TABLE>
 </CENTER>
 <P>
 <CENTER>
  <TABLE>
   <TR><TD ALIGN="right"><B>Remove notes</B></TD><TD><INPUT TYPE="checkbox" NAME="rmnotes" CHECKED></TD></TR>
   <TR><TD ALIGN="right"><B>Remove directories, configuration files</B></TD><TD><INPUT TYPE="checkbox" NAME="rmconf" CHECKED></TD></TR>
   <TR><TD ALIGN="right"><B>Remove table/dbm files</B></TD><TD><INPUT TYPE="checkbox" NAME="rmbase" CHECKED></TD></TR>
  </TABLE>
  <P>
  <INPUT TYPE="submit" VALUE="<?DspMsg (42)?>">
  <INPUT TYPE="button" VALUE="<?DspMsg (36)?>" onClick="history.back()">
 </CENTER>
</FORM>
</BODY>
</HTML>
