<?php

/* 
 *	W-AGORA 3.0
 *	-----------
 *	$Id: editconf.php3,v 1.4 2001/01/15 12:30:01 mdruilhe Exp $
 *	Usage:		Edit configuration of a forum
 *	Author:		Marc Druilhe <mdruilhe@w-agora.com>
 */	

	require ("init_admin.inc");

	function setTitle ($title) {
		echo "<TR><TD COLSPAN=3></TD></TR>\n";
		echo "<TR><TH COLSPAN=3 BGCOLOR=\"#E0E0E0\" ALIGN=\"left\">$title</TH></TR>\n";
	}

	function getBoolean ($name, $checked, $role, $comment) {
		echo "<TR><TD width=5>&nbsp;</TD><TD COLSPAN=2><INPUT TYPE='checkbox' NAME='config[$name]' VALUE='1' ";
		if ($checked > 0) {
			echo "CHECKED";
		}
		echo "><B>$role</B> (<i>$comment</i>)";
	}

	function GetValue ($role, $name, $size, $value, $comment) {
		$value = ereg_replace('"', "'", $value);
		if ($size < 50)
			echo "<TR><TD width=5>&nbsp;</TD><TD><b>$role</b> (<font size='-1'><i>$comment</i></font>) :</TD><TD><INPUT TYPE=\"text\" NAME=\"config[$name]\" SIZE=\"$size\" VALUE=\"$value\"></TD></TR>\n";
		else
			echo "<TR><TD width=5>&nbsp;</TD><TD COLSPAN=2><b>$role</b> (<font size='-1'><i>$comment</i></font>) :<br><INPUT TYPE=\"text\" NAME=\"config[$name]\" SIZE=\"$size\" VALUE=\"$value\"></TD></TR>\n";
	}

	function getTextArea ($role, $name, $rows, $cols, $value, $comment) {
		echo "<TR><TD width=5>&nbsp;</TD><TD COLSPAN=2><b>$role</b> (<i>$comment</i>):<BR>\n";
		echo "<TEXTAREA NAME=\"config[$name]\" ROWS=\"$rows\" COLS=\"$cols\">$value</TEXTAREA></TD></TR>\n";
	}

# Entry point
# -----------
	$header = "";

	if (isset($save)) {

		// loads old configuration !!! Make sure to include it before open for writing !!!
		include "$cfg_file";

		//  Update Configuration File
		$cf = new Config;
		$ret = $cf->open("$cfg_file");
		if (!$ret) {
			MsgForm ("Cannot write configuration file , check permissions", "$WA_SELF?site=$site&bn=$bn", "back"); /* access problem */
			exit;
		}

		// preserve some variables
		$config["site"] = $site;
		$config["bn"] = $bn;
		$config["bn_owner"] = $bn_owner;
		$config["bn_dir"] = $bn_dir;
		$config["bn_dir_notes"] = $bn_dir_notes;
		$config["bn_dir_forums"] = $bn_dir_forums;
		$config["bn_access"] = $bn_access;
		$config["bn_db"] = $bn_db;
		$config["dbname"] = $dbname;
		$config["dbuser"] = $dbuser;
		$config["dbpassword"] = $dbpassword;
		$config["dbhost"] = $dbhost;
		$config["dbport"] = $dbport;

		// loads new values from FORM
		/*
		reset ($HTTP_POST_VARS);
		while ( list($var, $val) = each($HTTP_POST_VARS) ) {
			if (is_string ($var)) {
				$config[$var] = $val;
			}
		}
*/
		// remove extras spaces and formats tags
		$config["bn_banned_tags"] = ereg_replace ("[<,;>?]", " ", $config["bn_banned_tags"]);
		$config["bn_banned_tags"] = ereg_replace ("[[:space:]]+", " ", trim($config["bn_banned_tags"]));

		$cf->writeConfig(&$config);
		$cf->close ();

		$bn_search = $config["bn_search"];
		$bn_search_engine = $config["bn_search_engine"];
		$bn_search_path = $config["bn_search_path"];
		if ($bn_search && ($bn_search_engine != "none") ) {
			include "$inc_dir/$bn_search_engine.$ext";
			$search->initSearchConf();
		}

		$header = "<br><b>Changes saved to $cfg_file</b>";
	} elseif (isset($undo)) {
		$cf = new Config;
		$cf->restore("$cfg_file");
		$header = "<br><b>Settings have been restored</b>";
	}
?>


<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
 <TITLE>w-Agora Administration - Configure forum </TITLE>
</HEAD>
<BODY>
<?PHP
	// load actual configuration
	include "$cfg_file";

	print $header;
	beginForm();
?>
 <TABLE cellspacing=0 cellpadding=5' ALIGN=CENTER WIDTH="100%">
<?
	setTitle ("General Layout Parameters");
	GetValue ("Title", "bn_title", 70, "$bn_title", "Tag &lt;TITLE&gt; and title of forum");
	GetValue ("Background", "bn_body", 70, "$bn_body", "Additional parameter to the Tag &lt;BODY&gt;");
	GetValue ("Date format", "bn_date_format", 30, "$bn_date_format", "Format for displaying dates (see the PHP documentation)");

	setTitle ("Frames");
	getBoolean ("bn_frames", $bn_frames, "Use Frames", "Even if the option is set, old browsers are also supported");
	GetValue ("Frameset parameter", "bn_frameset", 60, "$bn_frameset", "additional parameter to the tag &lt;FRAMESET&gt; ");
	GetValue ("Header Frame parameter", "bn_frame1", 60, "$bn_frame1", "additional parameter to the tag &lt;FRAME&gt; ");
	GetValue ("Footer Frame parameter", "bn_frame2", 60, "$bn_frame2", "additional parameter to the tag &lt;FRAME&gt; ");

	setTitle ("Include files (all files are located in $bn_dir), leave these fields blank to use defaults");
	GetValue ("Style sheet (CSS) file", "bn_style", 40, "$bn_style", "CSS file (included in the &lt;head&gt; tag");
	GetValue ("Header file", "bn_header", 40, "$bn_header", "Header include file");
	GetValue ("Footer file", "bn_footer", 40, "$bn_footer", "footer include file");
	GetValue ("Messages", "bn_msgs", 40, "$bn_msgs", "Displayed Messages & images file");
	GetValue ("Listing outline", "bn_list_vars", 40, "$bn_list_vars", "Listing of notes");
	GetValue ("Form", "bn_form", 40, "$bn_form", "FORM used to post/edit/reply to a message");
	GetValue ("Template", "bn_template", 40, "$bn_template", "Message template");
	GetValue ("Fields names", "bn_fields", 40, "$bn_fields", "Fields (variables) definition");
	GetValue ("PHP file included before access", "bn_before_access", 40, "$bn_before_access", "optional PHP file executed (included) before insert datas");

	setTitle ("General options for Notes publishing");
	getBoolean ("bn_cookies", $bn_cookies, "use cookies", "Set/get cookies to store username/address and to manage new messages");
	getBoolean ("bn_popup", $bn_popup, "post in popup window", "Open a separate window for the post/reply/edit form");
	getBoolean ("bn_thread", $bn_thread, "Allows replies (thread notes)", "Allows the users to reply to notes (threads)");
	getBoolean ("bn_modify", $bn_modify, "Allows modifications", "Allows the users to modify (edit) notes, a password is necessary to edit a note");
	getBoolean ("bn_delete", $bn_delete, "Allows delete", "Allows the users to delete notes, the user's password is necessary to delete a note");
	getBoolean ("bn_allow_html", $bn_allow_html, "Allows HTML", "Allows the users to insert HTML tags");
	GetValue ("Disallows tags: ", "bn_banned_tags", 60, "$bn_banned_tags", "type the HTML tags which will be censored (stripped) from user input, separated by spaces, commas or semicolons (do not insert &lt; and &gt;)");
	getBoolean ("bn_use_smileys", $bn_use_smileys, "Use smileys", "Convert smileys to icons (only fields accepting HTML will accept smileys");
	getBoolean ("bn_auto_url", $bn_auto_url, "Convert URLs", "auto-convert embedded URL to links");

	setTitle ("List and display messages");
	getBoolean ("bn_view_reply", $bn_view_reply, "Append reply form to displayed message", "Display the reply form at the end of the displayed message");
	getBoolean ("bn_no_toolbar", $bn_no_toolbar, "No toolbar in message", "Do not display the menu bar (reply|edit|delete|list) at the end of the displayed message");
	getBoolean ("bn_no_thread_list", $bn_no_thread_list, "no thread in message", "Do not display the current thread in the displayed message");
	getBoolean ("bn_list_post", $bn_list_post, "Append post form to messages listing", "Display the form at the end of the list of messages (guestbook mode)");

	setTitle ("Search");
	getBoolean ("bn_search", $bn_search, "Search support", "Allows users to search in the notes");
?>
<TR>
 <TD width=10>&nbsp;</TD>
 <TD><I>Search Engine: </I></TD>
 <TD>
  <SELECT NAME="config[bn_search_engine]">
   <OPTION VALUE="swish" <?if ($bn_search_engine== "swish"):?>selected<?endif?> > Swish
   <OPTION VALUE="namazu" <?if ($bn_search_engine== "namazu"):?>selected<?endif?> > Namazu
   <OPTION VALUE="none" <?if ($bn_search_engine== "none"):?>selected<?endif?> > None
  </SELECT>
 </TD>
</TR>
<?
	GetValue ("Pathname ", "bn_search_path", 40, "$bn_search_path", "Location of the search program");

	setTitle ("File upload");
	getBoolean ("bn_file_upload", "$bn_file_upload", "File upload support", "Allows users to upload files (as attachments) to your server");
	GetValue ("Maximum file size (in bytes) ", "MAX_FILE_SIZE", 10, "$MAX_FILE_SIZE", "Limit the allowed size of uploaded files");

	setTitle ("Browse server");
	getBoolean ("bn_browse_server", $bn_browse_server, "Server file browser support", "Allows users to attach files located on your server");
	GetValue ("Base directory ", "bn_browse_dir", 40, "$bn_browse_dir", "Define the top directory where users can browse documents to attach");

	setTitle ("Send Mail");
	getBoolean ("bn_mail", $bn_mail, "Send mail to the administrator", "Inform the administrator by email when a note has been posted or updated");
	GetValue ("Mail Address ", "bn_admin_address", 30, "$bn_admin_address", "Administrator's mail address");
	getTextArea ("Message to send", "bn_mail_text", 3, 50, "$bn_mail_text", "The message sent to the administrator");
	getBoolean ("bn_user_mail", $bn_user_mail, "Allows mail reply", "Allows the users to receive a reply by mail");
?>
 </TABLE>

 <CENTER>
  <INPUT TYPE="submit" NAME="save" VALUE="Save settings">
  <INPUT TYPE="reset" VALUE="Reset screen">
  <INPUT TYPE="submit" NAME="undo" VALUE="Undo">
 </CENTER>
</FORM>
</BODY>
</HTML>
