<? # $Workfile: copy_forum.php3$	$Revision: 1.2 $	$Date: 2000/11/21 18:18:50 $

/* 
 *	W-AGORA
 *	-------
 *	File:		copy_forum.php3
 *	Usage:		copy all notes from a forum to another
 *	Date:		July 2000
 *	version:	3.0.2
 *	Author:		Marc Druilhe <mdruilhe@w-agora.com>
 */	

	function insertChild ($bn_db, $key) {
		global $db_in, $db_out;
		global $bn_var, $db_var;

		$note = array();
		if (!is_array($db_in->entries)) return -1;

		// we don't copy key 0 (administrative note)
		if ($key > 0) {
			reset ($db_in->entries[$key]);
			while ( list( $var, $val ) = each( $db_in->entries[$key])) {
				if (is_string ($var)) $note[$var] = $val;
			}
			$parent = $note["parent"];
			if ($parent > 0) {
				$key = $db_out->ThreadNote ($bn_db, $key, $parent, $note);
				echo "&nbsp;&nbsp; link key $key to parent $parent<br>";
			}
			else {
				$key = $db_out->InsertNote ($bn_db, $key, $note);
				echo "insert key $key<br>";
			}
		}

		if (is_array($db_in->children[$key])) {
			for (reset ($db_in->children[$key]); $child=current($db_in->children[$key]); next($db_in->children[$key])) {
				insertChild ($bn_db, $child);
			}
		}
			
	}

	$inc_dir="include";
	require ("include/misc_func.php3");

	$bn=$bn_in;
	
	if (!file_exists ("conf/$bn.php3")) {
		MsgForm ("Cannot access configuration file: $cfg_dir/$bn.php3", "$PHP_SELF", "");
		exit;
	}
	include ("conf/$bn.php3");

	$now = time();
	$formated_date = date ("$bn_date_format", "$now");
	require ("$bn_dir/$bn_msgs");
	require ("include/$bn_access.php3");
	require ("$bn_dir/$bn_fields");

	$bn_access_in = $bn_access;
	$db_class = "${bn_access}_access";
	$db_in = new $db_class;
	$db_in->openDB();
	
	echo "<HTML><HEAD><TITLE>copy forum $bn_in to $bn_out</TITLE></HEAD><BODY>";

	$bn_frames=0;

	DspMsg (11);

	$bn_maxthreads=0;
	$expnd="all";

	// fetch all variables
	for (reset ($bn_var); $field=current($bn_var); next($bn_var)) {
		$list_var[$field]=1;
	}
	for (reset ($db_var); $field=current($db_var); next($db_var)) {
		$list_var[$field]=1;
	}
	
	$ret = $db_in->listThreads ($bn_db, 0, 0);

	if (!is_array ($ret) || ($ret < 0)) {
		echo "<CENTER><strong>"; DspMsg (6); echo "</STRONG></CENTER>";
		echo "</BODY>\n</HTML>\n";
		exit;
	}
	elseif ($ret[total] == 0) {
		echo "<CENTER>"; DspMsg (16); echo "</CENTER>";
	}

	echo "<H3 align='center'>$ret[total] notes read, now copying notes to $bn_out</h3>";

	$bn=$bn_out;
	
	if (!file_exists ("conf/$bn.php3")) {
		MsgForm ("Cannot access configuration file: $cfg_dir/$bn.php3", "$PHP_SELF", "");
		exit;
	}

	include ("conf/$bn.php3");
	if ($bn_access != $bn_access_in) {
		include ("include/$bn_access.php3");
	}

	$db_class = "${bn_access}_access";
	$db_out = new $db_class;
	$db_out->openDB();
	// $db_out->setDebug(1);
	
	require ("$bn_dir/$bn_fields");
	
	insertChild ($bn_db, 0);
	
	echo "</BODY>\n</HTML>\n";

?>
