<?
	# W-Agora: Delete messages in forum $bn older than $ndays days
	# syntax : purge.php3?bn=forum_name&password=pass&ndays=value
	# ------------------------------------------------------------


	## $bn = "forum_name";		# set here the name of the forum (ie: configuration filename)
	## $password = "administrator's password"; 	# set the forum or admin password
	## $wa_dir = "."			# define the w-agora installation directory

	$ext = "php3";		# PHP script extension
	$inc_dir = "./include";	# include directory

	if (empty($bn)) {
		die ("Forum must be defined");
	}

	if (empty($password)) {
		die ("password must be set");
	}

	if (!empty ($wa_dir)) {
		chdir ($wa_dir);
	}

	$ndays = (isset($ndays)) ? $ndays : 30;			# purge messages older than 30 days

# Include the configuration file
# ------------------------------
	require ("./conf/$bn.$ext");

# Open database
# -------------
	require ("$inc_dir/$bn_access.$ext");
	$db_class = "${bn_access}_access";
	$db = new $db_class;
	$ret = $db->openDB();
	if ($ret < 0) {
		die ("Could not open database");
	}

# Call before access script
# -------------------------
	if (!empty($bn_before_access)) {
 		$bn_action="delete";
		include "$bn_dir/$bn_before_access";
	}

# do deleting messages
# -----------------------
	$from_date=2;		# skip administrative notes (0 & 1)
	$to_date = time() - (24*3600*$ndays);
	$ret = $db->mDeleteDate ($bn_db, $from_date, $to_date, $password, $bn_dir_notes);

	if ($ret < 0) {
		echo "Error during deleting old messages, return code : $ret";
		exit;
	} else {
		echo "$ret notes were deleted";
	}

# Start search indexation
# -----------------------
	include ("$bn_dir/$bn_template"); 
	if ($bn_search && ($bn_doc_type == "static") && ($bn_search_engine != "none") ) {
		include "include/$bn_search_engine.php3";
		$search->indexNotes();
	}
?>
