<?php

/* 
 *	W-AGORA 3.0
 *	-----------
 *	$Id: form.php3,v 1.3 2001/01/15 12:31:53 mdruilhe Exp $
 *	Usage:		display the FORM to the user
 *	Author:		Marc Druilhe <mdruilhe@w-agora.com>
 *
 */

# output JavaScript functions
# ----------------------------
?>

<SCRIPT type="text/javascript" language="JavaScript">
 <!-- // Hide for old browsers
var has_submitted = 0;
function CheckForm(form) {

<?php
	while (list($field, $required) = each($bn_bind_var)) {
		if ($required) {
			printf ("  if ((form.%s) && (form.%s.value.length == 0)) {\n", $field, $field);
			printf ("    alert (\"%s\");\n", msg(56) );
			printf ("    form.%s.focus();\n", $field);
			print  ("    return false;\n  }\n");
		}
	}
?>
  if( has_submitted == 0 ){
    has_submitted = 1;
    return true;
  } else {
    alert("This page has been submitted, please be patient");
    return false;
  }
}

function QuoteText (elem, text) {
 if (elem.value.length > 0)
   elem.value += "\n";
 elem.value += text.value;
 return true;
}
// End of script -->
</SCRIPT>

<?php

# set defaults for user options
# -----------------------------
	$html_tags = (isSet($html_tags)) ? $html_tags : 1;
	$mail_reply = (isSet($mail_reply)) ? $mail_reply : 1;

# Unset password (only preserve it in preview mode)
# -------------------------------------------------
	if (!isSet($preview)) {
		$password = "";	
	}

# Set user's name & address from cookies
# --------------------------------------
	if ($setUserField) {
		if (isset($cookies)) {
			$username = $cookies->p_cookies["name"];
			$useraddress = $cookies->p_cookies["address"];
		} else {
			$username = "";
			$useraddress = "";
		}
	}

# Unset attachment in reply mode
# ------------------------------
	if ($bn_action == "reply") {
		unset ($attachment);
	}

# ------------------------------------------------------------
# Display form 
# ------------------------------------------------------------
	
	printf ("<FORM METHOD=\"post\" ACTION=\"%s\" %s onSubmit=\"return CheckForm(this);\" >",
		$form_action,
		($bn_file_upload==1) ? " ENCTYPE=\"multipart/form-data\" " : "");

	hiddenField ("site", $site);
	hiddenField ("bn", $bn);
	hiddenField ("do_post", "1");
	hiddenField ("back_form", $back_form);
	hiddenField ("bn_action", $bn_action);
	hiddenField ("lynx", $lynx);
	hiddenField ("key", $key);
	hiddenField ("unixdate", $unixdate);
	hiddenField ("filename", $filename);
	hiddenField ("MAX_FILE_SIZE", $MAX_FILE_SIZE);

	for (reset ($db_var); $field=current($db_var); next($db_var)) {
		if (!empty($$field) ) {
			$$field = stripslashes($$field);
		}
	}

	if (!empty($bn_form) && file_exists("$bn_dir/$bn_form") ) {
		include "$bn_dir/$bn_form";
	} else {
		include ("$bn_dir_default/form.$ext");
	}
	
	if (!empty($quoted_text)) {
		hiddenField ("quoted_text", $quoted_text);
		printf ("<br><INPUT TYPE=\"button\" VALUE=\"%s\" onClick=\"QuoteText(this.form.body, this.form.quoted_text);\">", msg(52) );
	}

	if (empty($attachment) || ($attachment == "none") ) {
		if ($bn_file_upload==1) {
			echo "<P>";
			dspMsg(53);
				printf ("<INPUT TYPE=\"file\" NAME=\"pcfile\" SIZE=30 VALUE=\"%s\">", $pcfile);
		} else {
			echo "<INPUT TYPE=\"hidden\" NAME=\"pcfile\">";
		}

		if ($bn_browse_server) {
			echo "<P>";
			dspMsg(54);
			textField ("server_file", $server_file, 30);
			printf ("<INPUT TYPE=\"button\" VALUE=\"%s\" onClick=\"OpenWindow('%s','winbrowse',500,400);\">",
				msg(55), "./browse.$ext?bn=$bn" );
		} else {
			hiddenField ("server_file", "");
		}
	} else {
		hiddenField ("attachment", $attachment);
		hiddenField ("att_size", $att_size);
		hiddenField ("att_type", $att_type);
	}
	
	if ($bn_user_mail==1) {
		br();
		checkBox ("mail_reply", 1, $mail_reply, msg(17) );
	}
	
	if ($bn_allow_html && is_array($bn_html_var) ) {
		br();
		checkBox ("html_tags", 1, $html_tags, msg(71) );
	}

	if ( $bn_modify || $bn_delete ) {
		br();
		dspMsg(41);
		passwordField ("password", $password, 10);
	}
?>
<P>
 <CENTER>
  <INPUT TYPE="submit" NAME="preview" VALUE="<? dspMsg(70)?>">
  <INPUT TYPE="submit" VALUE="<? dspMsg(34)?>">
  <INPUT TYPE="reset"  VALUE="<? dspMsg(35)?>">
<?	if ( ($back_form != "view") && ($back_form != "list") ): ?>
	<SCRIPT type="text/javascript" language="JavaScript">
	 <!-- // Hide for old browsers
document.write ('<INPUT TYPE="button" VALUE="<? dspMsg(36)?>" onClick="<?if($bn_popup){?>window.close();<?}else{?>history.back();<?}?>">');
// End of script -->
	</script>
<?	endif; ?>
 </CENTER>
</FORM>
