<?php

/*
 *	W-AGORA 3.0
 *	-----------
 *	$Id: mysql.php3,v 1.4 2001/01/15 12:32:52 mdruilhe Exp $
 *	Usage:		include file - Database access functions (mySQL)
 *	Author:		Marc Druilhe <mdruilhe@w-agora.com>
 */

if (!defined("_DBACCESS")) {
	include ("$inc_dir/dbaccess.$ext");
}

class mysql_access extends DBaccess {

var $dbname;
var $dblink;
var $site;

function OpenDB () {
	global $site, $dbhost, $dbport, $dbuser, $dbpassword, $dbname;

	if (!empty ($dbhost)) {
		$host = $dbhost;
		if (!empty ($dbport)) {
			$host .= ":$dbport";
		}
	}

	$this->dblink = mysql_connect ($host, $dbuser, $dbpassword);
	if (empty($this->dblink)) {
		return -3;
	}

	if (empty ($dbname)) {
		$dbname ="agora";
	}

	if (!mysql_select_db ("$dbname", $this->dblink)) {
		echo "mySQL error: ".mysql_errno().": ".mysql_error()."<BR>";
		return -3;
	}
	$this->dbname = $dbname;
	if (!empty ($site)) {
		$this->site = $site;
	}

	return 0;
}

function createForum ($forum, $password) {
	global $bn_var, $db_var;
	global $bn_var_size;

	/* Check if table exists */
	$result = @mysql_List_Tables ("$this->dbname");
	if (!$result) {
		echo "mySQL error: ".mysql_errno().": ".mysql_error()."<BR>";
		return (-3);
	}
	$count = mysql_NumRows ($result);
	$i=0; $found=0;
	while ($i < $count):
		if ($forum == mysql_TableName ($result, $i)):
			$found=1; $i=$count;
		else:
			$i++;
		endif;
	endwhile;
	if ($found):
		return (-1); /*  table already exist */
	endif;

	/* Create Table */
	$desc = "cle INT NOT NULL PRIMARY KEY";
	$desc .= ", parent INT NOT NULL DEFAULT 0, KEY (parent)";
	$desc .= ", childs INT NOT NULL DEFAULT 0";
	$desc .= ", thread INT NOT NULL DEFAULT 0 , KEY (thread)";
	$desc .= ", newest INT NOT NULL DEFAULT 0 , KEY (newest)";
	$values = "0, 0, 0, 0, 0";
	$unixdate = time();
	$count = Count ($bn_var);
	$i=0;
	while ($i < $count):
		$col = $bn_var[$i];
		$val = $$col;
		$size = $bn_var_size[$col];
		if (ereg ("^[0-9+]+$", $size) ) {
			if ($size>255) {
				$desc .= ", $col TEXT";
			} else {
				$desc .= ", $col VARCHAR($size) NOT NULL DEFAULT ''";
			}
			$values .= ", '$val'";
		} else {
			$type = strtoupper($size);
			switch ($type) {
				case "INT":
					$desc .= ", $col INT NOT NULL DEFAULT 0";
					$values .= ", " . IntVal($val);
					break;
				case "AUTO":
					$desc .= ", $col INT AUTO_INCREMENT, KEY $col ($col)";
					$values .= ", " . IntVal($val);
					break;
				default:
					$desc .= ", $col $type";
					$values .= ", '$val'";
					break;
			}
		}
		$i++;
	endwhile;
	$count = Count ($db_var);
	$i=0;
	while ($i < $count):
		$col = $db_var[$i];
		$val = $$col;
		$size = $bn_var_size[$col];
		if (ereg ("^[0-9+]+$", $size) ) {
			if ($size>255) {
				$desc .= ", $col TEXT";
			} else {
				$desc .= ", $col VARCHAR($size) NOT NULL DEFAULT ''";
			}
			$values .= ", '$val'";
		} else {
			$type = strtoupper($size);
			switch ($type) {
				case "INT":
					$desc .= ", $col INT NOT NULL DEFAULT 0";
					$values .= ", " . IntVal($val);
					break;
				case "AUTO":
					$desc .= ", $col INT AUTO_INCREMENT, KEY $col ($col)";
					$values .= ", " . IntVal($val);
					break;
				default:
					$desc .= ", $col $type";
					$values .= ", '$val'";
					break;
			}
		}
		$i++;
	endwhile;
	$result = mysql_query ("CREATE TABLE $forum ($desc)", $this->dblink);
	if (!$result) {  /* access PB  */
		echo "mySQL error: ".mysql_errno().": ".mysql_error()."<BR>";
		return (-3);
	}

	$result = mysql_query("INSERT INTO $forum VALUES($values)", $this->dblink);
	if (!$result) {  /* access PB  */
		echo "mySQL error: ".mysql_errno().": ".mysql_error()."<BR>";
		return (-3);
	}
	return (0);
}

function deleteForum ($forum, $password) {

	$forum_passwd = $this->getPassword($forum);
	if ($password != $forum_passwd) return (-2); /* invalid password */

	$query = "DROP TABLE $forum";
	$result = mysql_query ($query, $this->dblink);
	if (!$result) return (-3); /* access problem */
	return (0);
}

function getPassword ($forum) {
	$query = "SELECT password FROM $forum WHERE cle=0";
	$result = mysql_query ($query, $this->dblink);
	if (!$result) {  /* access PB  */
		echo "mySQL error: ".mysql_errno().": ".mysql_error()."<BR>";
		return "";
	}
	$num = mysql_numrows($result);
	if ($num > 0) {
		$password = mysql_result ($result, 0, "password");
		return ("$password");
	}
	return "";
}

function changePassword ($forum, $old_pass, $new_pass) {

	$forum_passwd = $this->getPassword($forum);
	if ($old_pass != $forum_passwd) return (-2); /* invalid password */

	$query = "UPDATE $forum SET password='$new_pass' WHERE cle=0";
	$result = mysql_query ($query, $this->dblink);
	if (!$result) return (-3); /* access problem */

	return (0);
}

function listThreads ($forum, $first=0, $last=0) {
	global $bn_maxthreads, $list_var;

	$bn_maxthreads = (isSet($bn_maxthreads) ) ? $bn_maxthreads : 0;
	settype ($bn_maxthreads, "integer");
	settype ($first, "integer");
	settype ($last, "integer");

#	1) gets total count # of notes
#	------------------------------
	$result = mysql_query ("SELECT count(*) as total FROM $forum WHERE cle<>0", $this->dblink);
	if (!$result) {
		echo "mySQL error: ".mysql_errno().": ".mysql_error()."<BR>";
		return (-3);
	}

	$ret["total"] = @mysql_result ($result, 0, "total");
	if ($ret["total"] == 0) {
		return ($ret);
	}
	mysql_FreeResult($result);

#	2) Find the first (and last) thread to be displayed in the page
#	and gets number of notes per thread
#	----------------------------------------------------------------
	if (!$last) {
		$order="DESC";
		$last=1;
	} else {
		$order="ASC";
	}

	$where = "newest>=$last"; // $last default to 1: don't display key 0
	if ($first>0) {
		$where .= " AND newest<=$first";
	}

	$limit = (empty($bn_maxthreads)) ? "" : "LIMIT $bn_maxthreads";

	$query = "SELECT thread, newest, count(*) FROM $forum WHERE $where GROUP BY newest ORDER BY newest $order $limit";
	$result = mysql_query ("$query", $this->dblink);
	$tcount = @mysql_num_rows ($result);

	if ($tcount > 0) {
		if ($order=="DESC") {
			$tfirst  = @mysql_result ($result, 0, "newest");
			$tlast = @mysql_result ($result, $tcount-1, "newest");
		} else {
			$tlast  = @mysql_result ($result, 0, "newest");
			$tfirst = @mysql_result ($result, $tcount-1, "newest");
		}

		mysql_data_seek($result, 0);
		while ($row = mysql_fetch_row($result)) {
			$t = $row[0];
			$replies[$t] = $row[2] - 1;
		}
	}
	mysql_FreeResult($result);

	$ret["threads"]=$tcount; // number of threads displayed
	$ret["first"]=$tfirst;
	$ret["last"]=$tlast;

	if ($tcount < 1) {
		$ret["next"] = 0;
		$ret["prev"] = 0;
		return $ret;
	}
	
#	3) gets all threads
#	-------------------

	$where = "newest<=$tfirst AND newest>=$tlast";

	$cols = "cle,parent,childs,thread,newest";
	while (list($var,$val) = each($list_var)) {
		if ($val==1) $cols.=",$var";
	}

	$result = mysql_query ("SELECT $cols FROM $forum WHERE $where ORDER BY newest DESC,cle ASC", $this->dblink);
	if (!$result) {
		echo "mySQL error: ".mysql_errno().": ".mysql_error()."<BR>";
		return (-3);
	}

	reset ($this->entries);
	reset ($this->children);
	$ncount=0;
	while ($row = mysql_fetch_array($result)) {
		$key = (int) $row["cle"];
		$parent = (int) $row["parent"];
		if ($parent==0) {
			$row["replies"] = $replies[$key];
		}
		if (!empty($row["bn_name"])) {
			$table = $row["bn_name"];
			$r2 = @mysql_query ("select count(*) as notes_count, max(unixdate) as last_note from $table");
			if ($r2) {
				$row["notes_count"]  = @mysql_result ($r2, 0, "notes_count");
				$row["last_note"]  = @mysql_result ($r2, 0, "last_note");
				mysql_FreeResult($r2);
			}
		}
			
if ($this->debug) echo "listThread() key: $key, parent: $parent, replies: " . $replies[$key] . "<br>";
		$this->entries[$key] = $row;
		$this->children[$parent][] = $key;
		$ncount++;
	}

	$ret["notes"]=$ncount;	// number of notes displayed
	mysql_FreeResult($result);
	
#	4) gets next/previous count
#	---------------------------
	$result = mysql_query ("SELECT count(*) AS prev FROM $forum WHERE newest>$tfirst", $this->dblink);
	if (!$result) {
		echo "mySQL error: ".mysql_errno().": ".mysql_error()."<BR>";
		return (-3);
	}
	$ret["prev"]  = @mysql_result ($result, 0, "prev");

	mysql_FreeResult($result);

	$result = mysql_query ("SELECT count(*) AS next FROM $forum WHERE cle<> 0 AND newest<$tlast", $this->dblink);
	if (!$result) {
		echo "mySQL error: ".mysql_errno().": ".mysql_error()."<BR>";
		return (-3);
	}
	$ret["next"]  = @mysql_result ($result, 0, "next");

	mysql_FreeResult($result);
		
	return $ret;
}

function listNotes ($forum, $first=0, $last=0, $sort="", $where="") {
	global $bn_maxthreads, $list_var;

	$bn_maxthreads = (isSet($bn_maxthreads) ) ? $bn_maxthreads : 0;
	settype ($bn_maxthreads, "integer");
	settype ($first, "integer");
	settype ($last, "integer");

#	1) gets total count # of notes
#	------------------------------
	$result = mysql_query ("SELECT count(*) as total FROM $forum WHERE cle<>0", $this->dblink);
	if (!$result) {
		echo "mySQL error: ".mysql_errno().": ".mysql_error()."<BR>";
		return (-3);
	}

	$ret["total"] = @mysql_result ($result, 0, "total");
	if ($ret["total"] == 0) {
		return $ret;
	}
	mysql_FreeResult($result);

#	2) gets all notes sorted by $sort
#	---------------------------------
	$whereClause = "WHERE cle>0"; // skip administrative record
	
	if (!empty($where)) {
		$whereClause .= " AND $where";
		$result = mysql_query ("SELECT count(*) as nquery FROM $forum $whereClause", $this->dblink);
		$ret["nquery"] = @mysql_result ($result, 0, "nquery");
	} else {
		$ret["nquery"] = $ret["total"];
	}
	
	$orderClause = (empty ($sort)) ? "" : " ORDER BY $sort";
	$limit="";
	
	if ($bn_maxthreads>0) {
		if ($last > 0) {
			$start = ($last-$bn_maxthreads)+1;
			$start = ($start<0) ? 0 : $start;
		} else {
			$start=$first;
		}
		$limit = "limit $start, $bn_maxthreads";
	} else {
		$start=0;
	}
	
	$cols = "cle,parent,childs,thread,newest";
	while (list($var,$val) = each($list_var)) {
		if ($val==1) $cols.=",$var";
	}

	$query = "SELECT $cols FROM $forum $whereClause $orderClause $limit";
if ($debug) echo "query: $query<br>";
	$result = mysql_query ("$query", $this->dblink);
	if (!$result) {
		echo "mySQL error: ".mysql_errno().": ".mysql_error()."<BR>";
		return (-3);
	}

	reset ($this->entries);
	reset ($this->children);
	$tcount=0;
	while ($row = mysql_fetch_array($result)) {
		$key = $row["cle"];
		$row["parent"]=0;
		if (!empty($row["bn_name"])) {
			$table = $row["bn_name"];
			$r2 = @mysql_query ("select count(*) as notes_count, max(unixdate) as last_note from $table");
			if ($r2) {
				$row["notes_count"]  = @mysql_result ($r2, 0, "notes_count");
				$row["last_note"]  = @mysql_result ($r2, 0, "last_note");
				mysql_FreeResult($r2);
			}
		}
		$this->entries[$key] = $row;
		$this->children[0][] = $key;
		$tcount++;
	}

	$ret["threads"]=$tcount;	// number of threads displayed
	$ret["notes"]=$tcount;	// number of notes displayed
	mysql_FreeResult($result);

#	3) gets next/previous (1 if TRUE)
#	---------------------------------
	$ret["first"] = $start;
	$ret["last"] = $start + $tcount - 1;
	$ret["next"] = ($ret["nquery"] > $ret["last"]+1) ? 1 : 0;
	$ret["prev"] = ($ret["first"] > 1) ? 1 : 0;
	
	return $ret;
}

function getNote ($forum, $key, $where="") {

	$result = mysql_query ("SELECT * FROM $forum WHERE cle=$key", $this->dblink);
	if (!$result) {
		echo "mySQL error: ".mysql_errno().": ".mysql_error()."<BR>";
		return (-3);
	}
	$num = mysql_numrows($result);
	if ($num < 1) return (-4);

	$note = mysql_fetch_array($result);

	mysql_FreeResult($result);

# get key of previous thread
# --------------------------
	$whereclause = "newest > " . $note["newest"];
	if (!empty($where)) {
		$whereClause .= " AND $where";
	}
	$result = @mysql_query ("SELECT thread FROM $forum WHERE $whereclause ORDER BY newest LIMIT 1", $this->dblink);
	if ($result) {
		$prev = mysql_fetch_row($result);
		$note["tprev"]= $prev[0];
		mysql_FreeResult($result);
	}

# get key of next thread
# --------------------------
	$whereclause = "newest < " . $note["newest"];
	if (!empty($where)) {
		$whereClause .= " AND $where";
	}
	$result = @mysql_query ("SELECT thread FROM $forum WHERE $whereclause ORDER BY newest DESC LIMIT 1", $this->dblink);
	if ($result) {
		$next = mysql_fetch_row($result);
		$note["tnext"]= $next[0];
	}
	mysql_FreeResult($result);

	return ($note);
}

function getThreadNewest ($forum, $thread) {
 	$where="thread=$thread AND cle<>0";
	$result = mysql_query ("SELECT MAX(unixdate) FROM $forum WHERE $where", $this->dblink);
 	if (!$result) {
 		echo "mySQL error: ".mysql_errno().": ".mysql_error()."<BR>";
 		return (-3);
 	}
 	$row = mysql_fetch_row($result);
	$newest = $row[0];
	mysql_FreeResult($result);
	return $newest;
}


function getThread ($forum, $key, $thread) {

	reset ($this->entries);
	reset ($this->children);
	
	$where="thread=$thread AND cle<>0";

	$cols = "cle,parent,childs,thread,newest";
	while (list($var,$val) = each($GLOBALS["list_var"])) {
		if ($val==1) $cols.=",$var";
	}

	$result = mysql_query ("SELECT $cols FROM $forum WHERE $where ORDER BY cle", $this->dblink);
	if (!$result) {
		echo "mySQL error: ".mysql_errno().": ".mysql_error()."<BR>";
		return (-3);
	}

	while ($row = mysql_fetch_array($result)) {
		$key = (int) $row["cle"];
		$parent = (int) $row["parent"];
		$this->entries[$key] = $row;
		$this->children[$parent][] = $key;
	}

	mysql_FreeResult($result);
	return 0;
}

function insertNote ($forum, $key, $fields) {
	$ret = $this->insert ($forum, $key, 0, $key, $fields);
	return $ret;
}

function threadNote ($forum, $key, $parent_key, $fields) {
	$result = mysql_query ("SELECT * FROM $forum WHERE cle=$parent_key", $this->dblink);
	if (!$result) {
		echo "mySQL error: ".mysql_errno().": ".mysql_error()."<BR>";
		return (-3);
	}

	$num = mysql_numrows($result);
	if ($num  < 1)
		return -4;
	$thread = mysql_result ($result, 0, "thread");
	$childs = mysql_result ($result, 0, "childs");
	$childs++;
	$values = "childs=$childs, thread=$thread";

	$result = mysql_query ( "UPDATE $forum SET $values WHERE cle=$parent_key", $this->dblink);
	if (!$result) {
		echo "mySQL error: ".mysql_errno().": ".mysql_error()."<BR>";
		return (-3);
	}

	$newest = $fields["unixdate"];
	$result = mysql_query ( "UPDATE $forum SET newest=$newest WHERE thread=$thread", $this->dblink);
	if (!$result) {
		echo "mySQL error: ".mysql_errno().": ".mysql_error()."<BR>";
		return (-3);
	}

	$ret = $this->insert ($forum, $key, $parent_key, $thread, $fields);
	return $ret;
}

function insert ($forum, $key, $parent, $thread, &$note) {
	// Get fields defined in table
	$result = mysql_List_fields("$this->dbname", $forum);
	if (!$result) { /* access problem */
		echo "mySQL error: ".mysql_errno().": ".mysql_error()."<BR>";
		return (-3);
	}

	$note["parent"] = $parent;
	$note["childs"] = 0;
	$note["thread"] = $thread;
	$note["newest"] = $note["unixdate"];
	$cols = "cle";
	$values = "$key";
	mysql_field_seek($result, 1); // skip field "key"

	// gets fields name and type
	while ($db_field = mysql_fetch_field($result)) {
		$colname = $db_field->name;
		$coltype = $db_field->type;
		$val = addSlashes($note[$colname]);
		if (!empty($val)) {
			$cols .= ", $colname";
			if ($coltype == "int")
				$values .= ", " . IntVal($val);
			else
				$values .= ", '$val'";
		}
if ($this->debug) echo "insert() name : $colname, value: $val, type: $coltype <br>";
	}

if ($this->debug) echo "INSERT INTO $forum ($cols) VALUES($values)";
	$result = mysql_query("INSERT INTO $forum ($cols) VALUES($values)", $this->dblink);
	if (!$result) { /* insert problem */
		echo "mySQL error: ".mysql_errno().": ".mysql_error()."<BR>";
		return (-3);
	}

	return ($key);
}

function updateNote ($forum, $key, $passwd, &$fields) {

	$result = mysql_query ("SELECT * FROM $forum WHERE cle=$key", $this->dblink);
	if ($result < 0) return (-3);  /* access error */
	
	$num = mysql_numrows($result);
	if ($num < 1) return (-4); /* no row selected */

	$admin_password = $this->GetPassword($forum);
	$password = mysql_result ($result, 0, "password");
	if (($passwd != $password) && ($passwd != $admin_password)):
		return (-2); /* invalid password */
	endif;

	$fields["parent"] = mysql_result ($result, 0, "parent");
	$fields["childs"] = mysql_result ($result, 0, "childs");
	$fields["thread"] = mysql_result ($result, 0, "thread");
	$fields["newest"] = mysql_result ($result, 0, "newest");

	$values = "cle=$key";

	$result = mysql_List_fields("$this->dbname", $forum);
	if (!$result) { /* access problem */
		echo "mySQL error: ".mysql_errno().": ".mysql_error()."<BR>";
		return (-3);
	}

	mysql_field_seek($result, 1);

	// gets fields name and type
	while ($db_field = mysql_fetch_field($result)) {
		$colname = $db_field->name;
		$coltype = $db_field->type;
		$val = addSlashes($fields[$colname]);
		if (!empty($val)) {
			if ($coltype == "int")
				$values .= ", $colname= " . intVal($val);
			else
				$values .= ", $colname= '$val'";
		}
if ($this->debug) echo "update() - name : $colname, value: $val, type: $coltype <br>";
	}

	$result = mysql_query ("UPDATE $forum SET $values WHERE cle=$key", $this->dblink);
	if (!$result) {
		echo "mySQL error: ".mysql_errno().": ".mysql_error()."<BR>";
		return (-3);
	}

	return (0);
}

function updateThread($forum, $parent, $newthread) {

	$result = mysql_query ("UPDATE $forum SET thread=$newthread WHERE parent=$parent", $this->dblink);
	if (!$result) {
		echo "mySQL error: ".mysql_errno().": ".mysql_error()."<BR>";
		return (-3); 
	}

	$result = mysql_query ("SELECT cle, childs FROM $forum WHERE parent=$parent", $this->dblink);
	if (!$result) {
		echo "mySQL error: ".mysql_errno().": ".mysql_error()."<BR>";
		return (-3); 
	}
	
	while ($row = mysql_fetch_row($result)) {
		$key=$row[0];
		$childs=$row[1];
		if ($childs > 0) {
			$this->updateThread ($forum, $key, $newthread);
		}
	}
	mysql_FreeResult($result);
}

function deleteNote ($forum, $key, $passwd, $bn_dir_notes) {

	$result = mysql_query ( "SELECT * FROM $forum WHERE cle=$key", $this->dblink);
	if (!$result) {
		echo "mySQL error: ".mysql_errno().": ".mysql_error()."<BR>";
		return (-3);
	}
 	
	$num = mysql_numrows($result);
	if ($num < 1):
		return (-4); /* no row selected */
	endif;

	$admin_password = $this->GetPassword($forum);
	$password = mysql_result ($result, 0, "password");
	if (($passwd != $password) && ($passwd != $admin_password)):
		return (-2); /* invalid password */
	endif;

 	$filename = @mysql_result ($result, 0, "filename");
 	$attachment = @mysql_result ($result, 0, "attachment");
 	$parent = (int) mysql_result ($result, 0, "parent");
 	$childs = (int) mysql_result ($result, 0, "childs");
 	$thread = (int) mysql_result ($result, 0, "thread");

	// delete note
	$result = mysql_query ("DELETE FROM $forum WHERE cle=$key", $this->dblink);
	if (!$result) {
		echo "mySQL error: ".mysql_errno().": ".mysql_error()."<BR>";
		return (-3);
	}

	if ($parent > 0) {
		// decrement childs count in parent
		$result = mysql_query ("UPDATE $forum SET childs=childs-1 WHERE cle=$parent", $this->dblink);
		if (!$result) {
			echo "mySQL error: ".mysql_errno().": ".mysql_error()."<BR>";
			return (-3);
		}
	}
	else {
		// update thread value
		$result = mysql_query ("SELECT cle, childs FROM $forum WHERE parent=$key", $this->dblink);
		if (!$result) {
			echo "mySQL error: ".mysql_errno().": ".mysql_error()."<BR>";
			return (-3); 
		}
		while ($row = mysql_fetch_row($result)) {
			$childkey=$row[0];
			$upd = mysql_query ("UPDATE $forum SET thread=$childkey WHERE cle=$childkey", $this->dblink);
			if (!$upd) {
				echo "mySQL error: ".mysql_errno().": ".mysql_error()."<BR>";
				return (-3); 
			}
			if ($row[1] > 0) {
				$this->updateThread ($forum, $childkey, $childkey);
			}
		}
	}
	
	// Link children to parent
	if ($childs > 0) {
		$result = mysql_query ("UPDATE $forum SET parent=$parent WHERE parent=$key", $this->dblink);
		if (!$result) {
			echo "mySQL error: ".mysql_errno().": ".mysql_error()."<BR>";
			return (-3);
		}
	}


	// update newest in thread
	if ($key != $thread) {
		$newest = $this->getThreadNewest ($forum, $thread);
		$result = mysql_query ("UPDATE $forum SET newest=$newest WHERE thread=$thread", $this->dblink);
		if (!$result) {
			echo "mySQL error: ".mysql_errno().": ".mysql_error()."<BR>";
			return (-3);
		}
	}
	
	if (!empty($filename) && ($filename != "none") && is_file("$bn_dir_notes/$filename")) {
 		@unlink ("$bn_dir_notes/$filename");
	}

	if (!empty($attachment) && ($attachment != "none") && is_file ("$bn_dir_notes/$key/$attachment") ) {
		@unlink ("$bn_dir_notes/$key/$attachment");
		@rmdir ("$bn_dir_notes/$key");
	}
	return (0);
}

function mDeleteDate ($forum, $from, $to, $passwd, $bn_dir_notes) {

	$admin_password	= $this->getPassword($forum);
	if ($passwd != $admin_password):
		return	(-2); /* invalid password */
	endif;

	$result = mysql_query ("SELECT cle FROM $forum WHERE cle>=$from AND cle <= $to", $this->dblink);
	if (!$result) return 0;
	$num = mysql_numrows($result);
	$i=0;
	while ($i < $num):
		$note = mysql_result ($result, $i, "cle");
		$ret = $this->deleteNote($forum, $note, $passwd, $bn_dir_notes);
		if ($ret < 0):
			return ($ret);
		else:
			$i++;
		endif;
	endwhile;

	mysql_FreeResult($result);
	return (0);
}

function search ($forum, $pattern, $casesensitive) {
	global $list_var;

	if(empty($pattern)) { return 0; }

	$pattern = ereg_replace ("[[:space:]]+", " ", trim($pattern));
	if(!ereg(" ",$pattern)) {
		// Only 1 keyword
		$KeyWords[0] = "$pattern";
		$count=1;
	} else {
		$KeyWords = explode(" ",$pattern);
		$count = count($KeyWords);
	}

	if ($casesensitive) {
		$searcher= "HAVING";
		$expr="REGEXP '.*". $KeyWords[0] . ".*'";
		$query = "SELECT DISTINCT * FROM $forum $searcher body $expr";
	} else {
		$searcher= "WHERE";
		$expr="LIKE '%". $KeyWords[0] . "%'";
		// set selected columns
		$cols = "cle,parent,childs,thread,newest";
		while (list($var,$val) = each($list_var)) {
			if ($val==1) $cols.=",$var";
		}
		$query = "SELECT DISTINCT $cols FROM $forum $searcher body $expr";
	}

	$keyword=1;
	while ($keyword < $count) {
		if ($casesensitive) {
			$query .= " OR body REGEXP '.*". $KeyWords[$keyword] . ".*'";
		} else {
			$query .= " OR body LIKE '%". $KeyWords[$keyword] . "%'";
		}
		$keyword++;
	}

	// Get fields defined in table
	$result = mysql_List_fields("$this->dbname", $forum);
	if (!$result) {
		echo "mySQL error: ".mysql_errno().": ".mysql_error()."<BR>";
		return (-3);
	}

	while ($db_field = mysql_fetch_field($result)) {
		$colname = $db_field->name;
		$coltype = $db_field->type;
		if (($coltype != "int") && ($colname != "password") && ($colname != "body")) {
			$keyword=0;
			while ($keyword < $count) {
				if ($casesensitive) {
					$expr="REGEXP '.*". $KeyWords[$keyword] . ".*'";
				} else {
					$expr="LIKE '%". $KeyWords[$keyword] . "%'";
				}
				$query .= " OR $colname $expr";
				$keyword++;
			}
		}
	}

	if (!$casesensitive) {
		$query .= " ORDER by thread DESC, cle ASC";
	}

	$result = mysql_query ($query, $this->dblink);
	if (!$result) {
		echo "mySQL error: ".mysql_errno().": ".mysql_error()."<BR>";
		return (-3);
	}

	$num = mysql_numrows($result);
	if ($num < 1 ) {
		return 0;
	}

	reset ($this->entries);
	reset ($this->children);
	while ($row = mysql_fetch_array($result)) {
		$key = $row["cle"];
		$row["parent"]=0;
		$this->entries[$key] = $row;
		$this->children[0][] = $key;
	}

	return $num;
}

}; // end class

?>
