<? # $Workfile: index.php3$	$Revision: 1.1 $	$Date: 2000/11/21 18:18:44 $	

/* 
 *	W-AGORA
 *	-------
 *	File:		index.php3
 *	Usage:		main entry program
 *	Date:		August 2000
 *	version:	3.0.2
 *	Author:		Marc Druilhe <mdruilhe@w-agora.com>
 */	

	$WA_SELF= basename($PHP_SELF);
	$ext="php3";

	$bin_dir=".";
	$inc_dir="./include";
	$cfg_dir="./conf";

function getSites () {
	global $ext, $cfg_dir;

	$sites =array();
	$dir = dir($cfg_dir);
	$i=0;
	while ($entry=$dir->read() ) {
		if ( is_file("$cfg_dir/$entry") && ereg ("^site_", $entry) ) {
			$site = ereg_replace ("^site_(.*).$ext", "\\1", $entry); 
			$sites[$i++] = $site;
		}
	}
	$dir->close();
	return (count($sites>0) ) ? $sites : "";
}

# --------------------------------------
# Initialize configuration file and site
# --------------------------------------
	if (empty($bn)) {
		// No forum selected -> default to 'site' configuration
		if (empty ($site) ) {
			$sites=getSites();
			if (is_array ($sites) ) {
				reset ($sites);
				if (count($sites) == 1 ) {
					$site = $sites[0];
				} else {
					echo "<html><body><center><table border=1 width='60%'><tr><td><TABLE BORDER=0 WIDTH='100%' CELLPADDING='8' CELLSPACING='0'>\n<CAPTION align=left><B>Available sites</B></CAPTION>\n";
					while (list (,$site) = each ($sites) ) {
						print "<tr><td><a href=\"$WA_SELF?site=$site\">$site</a></td></tr>\n";
					}
					print "</table></td></tr></table></center></body></html>";
					exit;
				}
			} else {
				die ("no site configurated");
			}
		}	

		$cfg_file = "${cfg_dir}/site_${site}.${ext}";
		$expnd = "all";
	} else {
		$cfg_file = "${cfg_dir}/${bn}.${ext}";
	}

# read configuration for this forum
# ---------------------------------
	if (file_exists ("${cfg_file}")) {
		include ("$cfg_file");
	} else {
		die ("Cannot access configuration file: $cfg_file");
	}

	if (!isset($action)) {
		$action = "list";
	}
	
# set script to be invoked in the main frame/page
# -----------------------------------------------
	$main_url = "$action.${ext}?site=$site&bn=$bn";
	
	if (!empty($key)) {
		$main_url .= "&key=$key";
	}

	if (!empty($expnd)) {
		$main_url .= "&expnd=$expnd";
	}

	if (!empty($where)) {
		$main_url .= "&where=".urlencode(stripSlashes($where));
	}

	if (!empty($sort)) {
		$main_url .= "&sort=".urlencode(stripSlashes($sort));
	}

# Frame stuff
# -----------
	if ($bn_frames) {
		?><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Frameset//EN"><?
		echo "<HTML>\n<HEAD><TITLE>$bn_title</TITLE></HEAD>\n";
		printf ("<FRAMESET %s>\n", $bn_frameset);
		printf (" <FRAME %s src=\"%s\" name=\"header\">\n", $bn_frame1, "header.${ext}?site=$site&bn=$bn");
		printf (" <FRAME src=\"%s\" name=\"main\" frameborder='no' marginheight='0' marginwidth='0'>\n", $main_url);
		if ($bn_footer) {
 			printf (" <FRAME %s src=\"%s\" name=\"footer\">", $bn_frame2, "footer.${ext}?site=$site&bn=$bn");
		}
		
		?><NOFRAMES><?
		$lynx=1;
		$frameset=1;
		$no_cookie=1;
		include "$bin_dir/$action.$ext";
		echo "</NOFRAMES>\n</FRAMESET>\n</HTML>\n";
	} else {
		include "$bin_dir/$action.$ext";
	}
?>
