<?php

/* 
 *	W-AGORA 3.0
 *	-----------
 *	$Id: init_admin.inc,v 1.4 2001/01/26 17:45:53 mdruilhe Exp $
 *	Usage:		Initalization file (for administration stuff)
 *	Author:		Marc Druilhe <mdruilhe@w-agora.com>
 *
 */

# set extension for PHP scripts, main entry point and SELF_PAGE
# -------------------------------------------------------------
	$ext = isSet($ext) ? $ext : "php3";
	$main_page = isSet($main_page) ? $main_page : "./index.$ext";
	$WA_SELF=basename($PHP_SELF);

# Set general directives for PHP engine behaviour
# -----------------------------------------------
	error_reporting(5);
	php_track_vars;

# set modes for creating directories and files
# --------------------------------------------
	define("_DIRMODE", 0777);
	umask (0);

# initialize w-agora directories
# ------------------------------
	$bin_dir = isSet($bin_dir) ? $bin_dir : ".";
	$inc_dir="./include";
	$cfg_dir="./conf";
	$tmpl_dir="./templates";
	$bn_dir_default = "$tmpl_dir/default";

	if (!isset($lynx)) $lynx=0;

	if (ereg ('\\\\', $PATH_TRANSLATED)) $winbox=1;

	function authenticate() {
		global $WA_SELF;
		global $site, $bn, $key;
		
		echo "<FORM METHOD='post' ACTION='$WA_SELF'>";
		echo "<center>Please enter your password: ";
		hiddenField("login", "1");
		hiddenField("site", $site);
		hiddenField("bn", $bn);
		if (isset($key)) {
			hiddenField("key", $key);
		}
		echo "<input type='password' name='formpasswd'>";
		submitButton ("login", "login");
		echo "</center></FORM></BODY></HTML>";
		exit;
	}
	
	// This function allows reading configuration file w/o overwriting
	// global config. variables
	// it also sets the site related global DB configuration variables
	function getDBaccess($cfg_file) {
		global $dbname, $dbhost, $dbport, $dbuser, $dbpassword;
		global $site_db;
		include "$cfg_file";
		$site_db=$bn_db;
		return $bn_access;
	}

	function checkPasswd($passwd) {
		global $db;
		global $cfg_file, $site_cfg_file;
		global $password, $site_passwd, $forum_passwd;

		include "$cfg_file";
		$forum_passwd = $db->GetPassword($bn_db);
		include "$site_cfg_file";
		$site_passwd = $db->GetPassword($bn_db);
		if ( ($passwd == md5($forum_passwd)) || ($passwd == md5($site_passwd)) ) {
			$password = $forum_passwd; // set password (global) to forum's password
			return TRUE;
		}
		$password="";
		return FALSE;
	}

	if (empty($bn)) {
		Header("Location: admin.$ext");
		exit;
	} else {
		$bn=basename($bn);
		$cfg_file = "$cfg_dir/$bn.$ext";
	}
	
	require ("$inc_dir/misc_func.$ext");
	
	$site_cfg_file = "$cfg_dir/site_$site.$ext";
	if (!file_exists ("${site_cfg_file}")) {
		MsgForm ("Cannot access configuration file: $site_cfg_file", "./admin.$ext", "");
		exit;
	}
	
	require ("$inc_dir/config.$ext");

	$access=getDBaccess($site_cfg_file);
	include ("$inc_dir/$access.$ext");
	$db_class = "${access}_access";
	$db = new $db_class;
	$ret = $db->openDB();
	if ($ret != 0) {
		include "$site_cfg_file";
		include "$bn_dir/$bn_msgs";
		MsgForm (Msg(6), "$WA_SELF?site=$site&bn=$bn", "back"); /* access PB */
		exit;
	}
	$ckname = $bn. "_psswd";
	$cksitename = "admin_$site" . "_psswd";
	$is_authenticated = FALSE;

	if (isset($login)) {
		if (checkPasswd(md5($formpasswd)) ) {
			$is_authenticated = TRUE;
			setCookie ($ckname, md5($formpasswd));
		}
	} elseif (isset($$cksitename)) {
		if (checkPasswd($$cksitename)) {
			$is_authenticated = TRUE;
		}
	} elseif (isset($$ckname)) {
		if (checkPasswd($$ckname)) {
			$is_authenticated = TRUE;
		}
	}

	if (!$is_authenticated) {
		authenticate();
	}

?>
