<?php

/* 
 *	W-AGORA 3.0
 *	-----------
 *	$Id: view.php3,v 1.4 2001/01/15 12:28:54 mdruilhe Exp $
 *	Usage:		display a note
 *	Author:		Marc Druilhe <mdruilhe@w-agora.com>
 *
 */

# Initialization stuff
# --------------------
	$bn_action="view";
	$bn_action_mode="R";
	require ("./init.inc");

# header and footer are to be displayed only in frame mode
# ---------------------------------------------------------
	$header_footer = ($bn_frames==0) ? true : false;
	
# if note to display is not defined then return to the list
# ------------------------------------------------------
	if (empty($key)) {
		display_header ("view note", $header_footer);
		MsgForm (Msg(3), "list.$ext", "");
		display_footer ($header_footer);
	}

# read note from database, exit if error
# --------------------------------------
	$note = $db->getNote ($bn_db, $key);
	if ($note < 0) {
		display_header ("view note", $header_footer);
		MsgForm (Msg(10), "list.$ext", "");
		display_footer ($header_footer);
	}
	
# set all fields as global variables
# ----------------------------------
	while ( list( $var, $val ) = each( $note)) {
		if (is_string ($var)) {
			$$var = $val;
		}
	}

# Execute before_access program
# -----------------------------
	if ($bn_before_access) {
		include "$bn_dir/$bn_before_access";
	}

# save reply body (before formatting it) 
# --------------------------------------
	if ($bn_view_reply) {
		$reply_body = strip_url(strip_smileys ($body));
	}

# Display HTML headers and  header include file if any
# ----------------------------------------------------
	display_header ("view note", $header_footer);

# Display message (static HTML file or dynamic) according to the configuration
# ---------------------------------------------------------------------------
	if ($bn_doc_type == "static") {
		if (!$filename || $filename == "none") {
			$formated_date = date ($bn_date_format, $unixdate);
			$body = format_text($body);
			$doc=addSlashes(stripSlashes($bn_doc_var));
			eval ("echo stripSlashes(\"$doc\n\");");
		} elseif (file_exists ("$bn_dir_notes/$filename")) {
			readFile ("$bn_dir_notes/$filename");
		} else {
			MsgForm (Msg(10), "list.$ext", "");
			display_footer ($header_footer);
		}
	} elseif ($bn_doc_type == "dynamic") {
		$formated_date = date ($bn_date_format, $unixdate);
		$body = format_text($body);
		$doc=addSlashes(stripSlashes($bn_doc_var));
		eval ("\$d = stripSlashes(\"$doc\n\");");
		if (!empty($pattern)) {
			$d = eregi_replace ("$pattern", "<font color='000000'><b style='background: #ffff99'>$pattern</b></font>", $d);
		}
		print $d;
	}

# Display attachment if any
# -------------------------
	if (!empty($attachment) && ($attachment!="none") && file_exists("$bn_dir_notes/$key/$attachment") ) {
		echo "<br>";
		display_attachment ($key, $attachment, $att_type, $att_size);
	}

# Display toolbar (optional) 
# --------------------------
	if (!$bn_no_toolbar): ?>
		<!-- TOOLBAR -->
 <P>
 <CENTER>
  <TABLE CELLSPACING="2" CELLPADDING="2" >
   <TR>
	<?if ($bn_thread && !$bn_view_reply): ?>
    <TD ALIGN="center" WIDTH="70">
     <A HREF="<?echo "post.$ext?bn=$bn&key=$key&first=$first&last=$last&sort=$sort&where=$where&expnd=$thread"; if($lynx==1) echo "&lynx=1";?>" <?if ($bn_popup){?>TARGET="<?echo $bn. "_reply";?>" onClick="OpenWindow('<?echo "post.$ext?bn=$bn&key=$key&first=$first&last=$last&sort=$sort&where=$where&expnd=$thread"?>','<?echo $bn. "_reply";?>',600,480);"<?} elseif ($bn_frames){?>TARGET="main"<?}?>><?DspMsg (50)?></A>
    </TD>
	<?endif?> 
	<?if ($bn_modify): ?>
    <TD ALIGN="center" WIDTH="70">
     <A HREF="<?echo "edit.$ext?bn=$bn&key=$key&first=$first&last=$last&sort=$sort&where=$where&expnd=$thread"; if($lynx==1) echo "&lynx=1";?>" <?if ($bn_popup){?>TARGET="<?echo $bn. "_edit";?>" onClick="OpenWindow('<?echo "edit.$ext?bn=$bn&key=$key&first=$first&last=$last&sort=$sort&where=$where&expnd=$thread"?>','<?echo $bn. "_edit";?>',600,480);"<?} elseif ($bn_frames){?>TARGET="main"<?}?>><?DspMsg (60)?></A>
    </TD>
	<?endif?> 
	<?if ($bn_delete): ?>
    <TD ALIGN="center" WIDTH="70">
     <A HREF="<?echo "delete.$ext?bn=$bn&key=$key&first=$first&last=$last&sort=$sort&where=$where&expnd=$thread"?>"><?DspMsg (42)?></A>
    </TD>
	<?endif?> 
	<?if ($bn_thread): ?>
    <TD ALIGN="center" WIDTH="70">
     <A HREF="<?echo "list.$ext?bn=$bn&key=$key&first=$first&last=$last&sort=$sort&where=$where&expnd=$thread&here=$key#A$thread"?>"><?DspMsg (61)?></A>
    </TD>
	<?endif?> 
   </TR>
  </TABLE>
 </CENTER>
<?
		print "<!-- END TOOLBAR -->\n";
	endif;

# Display current thread (optional) 
# ---------------------------------

	if ($bn_thread && !$bn_no_thread_list) {
		print "<!-- THREAD LIST -->\n";
		$here=$key;
		// display current thread	
		echo "<table border='0' width='100%'>\n <TR><TD>\n";
		echo "<table border='0' width='100%'>\n<TR><TH WIDTH='20'>";
		if ($tprev) {
			$help=msg(77);
			displayURL ("$WA_SELF?bn=$bn&key=$tprev&first=$first&last=$last&sort=$sort&where=$where", "", " <img src='$msg[79]' border='0' ALT='$help'>", $help);
        }
		echo "</TH><TH>"; dspMsg(64); echo "</TH><TH WIDTH='20'>";
		if ($tnext) {
			$help=msg(78);
			displayURL ("$WA_SELF?bn=$bn&key=$tnext&first=$first&last=$last&sort=$sort&where=$where", "", " <img src='$msg[80]' border='0' ALT='$help'>", $help);
        }
		echo "</TH></TR></table></TD></TR><TR><TD COLSPAN='3'>";

		$expnd="all";
		$list_var["body"]=1;	// forces body to be listed
		$ret = $db->getThread ($bn_db, $key, $thread);
		
		// display header
		$l=addSlashes(stripSlashes($bn_view_header));
		eval ("echo stripSlashes(\"$l\");");

		$ret = $db->getChild ($thread, "view");

		// display footer
		$l=addSlashes(stripSlashes($bn_view_footer));
		eval ("echo stripSlashes(\"$l\");");

		echo "</TD></TR></TABLE>";
		print "<!-- END THREAD LIST -->\n";

	}
	
# Display form reply if option set
# --------------------------------
	if ($bn_view_reply) {
		$bn_action="reply";
		$bn_action_mode="W";
		print "<!-- REPLY FORM -->\n";

		// set user's name and e-mail
		$reply_name = $username;
		$reply_address = $useraddress;
		
		if (!eregi ("^re:", $subject))
			$subject = "Re: $subject";
		$subject = kill_quotes($subject);

		if ($reply_body) {
			if ($reply_name != "") {
				$quoted_text = $reply_name . $msg[45]. "\n";
			}
			$quoted_text .= quote_text($reply_body);
			$quoted_text = kill_quotes($quoted_text);
			$body = "";
		}

#	Displays the FORM
# -----------------
		$setUserField = true;		// Set username and password in form fields
		$mail_reply = 1; // set default to checked in the form
		$form_action = "./insert.$ext";

		$back_form="view";
		$bn_popup=0;
		include "$inc_dir/form.$ext";
	}

# Display footer
# --------------
	display_footer ($header_footer);
?>
